GNU bug report logs - #45536
[PATCH] Pretty-print keys without <> around modifiers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mattias Engdegård <mattiase@HIDDEN>; Keywords: patch; dated Tue, 29 Dec 2020 16:42:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 1 Jan 2021 12:28:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 07:28:43 2021
Received: from localhost ([127.0.0.1]:55749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvJXv-0002O6-JD
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 07:28:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kvJXu-0002Nu-4M
 for 45536 <at> debbugs.gnu.org; Fri, 01 Jan 2021 07:28:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52451)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kvJXo-0002b2-Rm; Fri, 01 Jan 2021 07:28:36 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4084
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kvJXo-0005X4-3T; Fri, 01 Jan 2021 07:28:36 -0500
Date: Fri, 01 Jan 2021 14:28:16 +0200
Message-Id: <83tus0g7tr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <020D0443-20C2-4F8B-81FE-F1040469E919@HIDDEN> (message from
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= on Fri, 1 Jan 2021 13:10:28 +0100)
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN> <87im8ioan4.fsf@HIDDEN>
 <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
 <9029B6ED-5201-417A-AE37-44A564561BBA@HIDDEN> <87h7o1c4uv.fsf@HIDDEN>
 <83zh1sg947.fsf@HIDDEN> <020D0443-20C2-4F8B-81FE-F1040469E919@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45536
Cc: larsi@HIDDEN, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mattias Engdegård <mattiase@HIDDEN>
> Date: Fri, 1 Jan 2021 13:10:28 +0100
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45536 <at> debbugs.gnu.org
> 
> 1 jan. 2021 kl. 13.00 skrev Eli Zaretskii <eliz@HIDDEN>:
> 
> > What the manual uses is the format makeinfo emits for keys and key
> > sequences in the Info format.  It is only very loosely related to the
> > way we format key sequences in Emacs.
> 
> But it is what users see when they read the manual in Info, so clearly they cannot be surprised or confused by it.

The users also see that in Info manuals that have nothing to do with
Emacs, so their surprise, if it exists, is misguided, and if they use
what's in the manual to request that Emacs behaves the same, those
requests are misdirected.

Besides, your suggested changes don't produce results that are 100%
identical with what's in Info manuals, either, so how would you
explain the differences to those users?

> When the manual seeks to make an explicit example (with '<' instead of @key), it uses the logical style as well. See the examples used to illustrate the manual entry for the 'kbd' function itself.

That's the tiny minority of the examples you show, most of them are
unrelated to 'kbd'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 1 Jan 2021 12:10:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 07:10:35 2021
Received: from localhost ([127.0.0.1]:55678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvJGM-0001w4-TP
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 07:10:35 -0500
Received: from mail211c50.megamailservers.eu ([91.136.10.221]:45652
 helo=mail194c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kvJGK-0001vq-Az
 for 45536 <at> debbugs.gnu.org; Fri, 01 Jan 2021 07:10:33 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1609503030;
 bh=1YcoBY1uzuUy8RKeOhNtvf9Gzt1c11MO9b9DJmttFXQ=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=pGLV815rbZ51W+fKNtw8JM5bOaXeCA7KIWScO0O/8BbyF+6b2D8ozniqbUJzPZkFm
 /hPToMvVAor/70oIjbMRJpDjkg/k4Z8B4ExHJrAD7ToaM96QXmGtCdk+CmXyJ9HbDY
 jxQbxjMXha+5j+QM9DAkyKEQG7I+HL7qYst2y6JA=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail194c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 101CAS0G012461; 
 Fri, 1 Jan 2021 12:10:30 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <83zh1sg947.fsf@HIDDEN>
Date: Fri, 1 Jan 2021 13:10:28 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <020D0443-20C2-4F8B-81FE-F1040469E919@HIDDEN>
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN> <87im8ioan4.fsf@HIDDEN>
 <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
 <9029B6ED-5201-417A-AE37-44A564561BBA@HIDDEN> <87h7o1c4uv.fsf@HIDDEN>
 <83zh1sg947.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A742F24.5FEF1136.0016, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=AfXP4EfG c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=mDV3o1hIAAAA:8 a=bZ12ziim5FMaFyj1UcgA:9 a=CjuIK1q_8ugA:10
 a=_FVE-zBwftR9WsbkzFJk:22
X-Origin-Country: SE
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 45536
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

1 jan. 2021 kl. 13.00 skrev Eli Zaretskii <eliz@HIDDEN>:

> What the manual uses is the format makeinfo emits for keys and key
> sequences in the Info format.  It is only very loosely related to the
> way we format key sequences in Emacs.

But it is what users see when they read the manual in Info, so clearly =
they cannot be surprised or confused by it.

When the manual seeks to make an explicit example (with '<' instead of =
@key), it uses the logical style as well. See the examples used to =
illustrate the manual entry for the 'kbd' function itself.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 1 Jan 2021 12:00:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 07:00:53 2021
Received: from localhost ([127.0.0.1]:55637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvJ6z-0001gu-E0
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 07:00:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kvJ6x-0001gg-F6
 for 45536 <at> debbugs.gnu.org; Fri, 01 Jan 2021 07:00:52 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50615)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kvJ6s-0001cd-6V; Fri, 01 Jan 2021 07:00:46 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2377
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kvJ6m-0002qY-M6; Fri, 01 Jan 2021 07:00:43 -0500
Date: Fri, 01 Jan 2021 14:00:24 +0200
Message-Id: <83zh1sg947.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87h7o1c4uv.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 01 Jan 2021 11:46:00 +0100)
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN>
 <87im8ioan4.fsf@HIDDEN>
 <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
 <9029B6ED-5201-417A-AE37-44A564561BBA@HIDDEN> <87h7o1c4uv.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45536
Cc: mattiase@HIDDEN, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  45536 <at> debbugs.gnu.org
> Date: Fri, 01 Jan 2021 11:46:00 +0100
> 
> Mattias Engdegård <mattiase@HIDDEN> writes:
> 
> > 31 dec. 2020 kl. 10.59 skrev Mattias Engdegård <mattiase@HIDDEN>:
> >
> >> The manual uses it a bit everywhere, and rightly so.
> >
> > Correction: the manual uses the logical notation almost exclusively.
> > Perhaps the Reddit crowd has been fuming about this for decades, I
> > wouldn't know.
> 
> The only instance I could find of "M-<[a-z]" was this from the manual?
> 
> (kbd "C-M-<down>") @result{} [C-M-down]

What the manual uses is the format makeinfo emits for keys and key
sequences in the Info format.  It is only very loosely related to the
way we format key sequences in Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 1 Jan 2021 11:54:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 06:54:54 2021
Received: from localhost ([127.0.0.1]:55589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvJ1C-0001VL-FE
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 06:54:54 -0500
Received: from quimby.gnus.org ([95.216.78.240]:57190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kvJ1A-0001V6-G2
 for 45536 <at> debbugs.gnu.org; Fri, 01 Jan 2021 06:54:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Stg/SkRI8E0FuENpmMy/iWLHLZLj5PmlXFMMwjtSNVM=; b=YXq3/l8tvE99IcHK1s8h1lGldM
 eOdjplSQPMFXvWVul9gzYkA2vbzvtG53RXFfb1YhY4jb03XAfhLJwjhCPUl5tPuo+ZZqlJ7vH7BrC
 +5BOTsQbkx/GROrHBTQb9N2v4nSZGEN2x73TP9nxF2gsW7fcvzcGQB/ex1SPOJflR9E0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kvJ10-0000sK-0z; Fri, 01 Jan 2021 12:54:45 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN>
 <87im8ioan4.fsf@HIDDEN>
 <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
 <9029B6ED-5201-417A-AE37-44A564561BBA@HIDDEN>
 <87h7o1c4uv.fsf@HIDDEN>
 <FFDE84AC-AC33-4A5F-964B-8B0BD8B29992@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX8/Pvat5rclWnw
 5s6aWEX///9Gf7lAAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UBAQs0JfP6phUAAAG4SURBVDjLbdMN
 0qMgDAZgLHuAJnqAJXoAkO8AK5P7n2nfELSt/XCmY31I+AshfLRpbY1UD3qGGyRti+p8xBv8oDdA
 9Q5/Dj34HWKttb/kmgPe8wm7iiR/tW85DGDRrYlk+55jvGDSZnl7TJw99zmX3hpCiszfoGuIiWS9
 YDvhCJxqMekQXxAlzbXy02FywO8xCQtkfgPMFkuZUqoEcXj0GSXiNU+SkGkuvvKfC0JskLLu70BE
 KUTrUef9+QLpYDOXWt+hN0xz0baW4vCQcyH/8K8o4K9DkivCEqylzr4OsRCLyr3fBUHEk7XwDV0O
 P02snMbuEnaDT8DCL7CNStwPwqDW4rAkwcPkpyq14LkACx8R30BeBukF3MHL5waMPdx01HUtuXip
 oD/GZp/tA8F1QBLaDmK/E3sfro83kZCocPa8dAETakPLKGq5YMJpc6/bPECReMSysDYoCgrjYT/J
 TmOA2ibXHeOlnmqxyWIP1UKIFnxdDKa+tYANxYjC3QB2n+1cvRmguFB46IMI9s9sgGEYID2ivSLU
 C69f50/YfgUkaHYbaLnDaB0whvrCbqAp+IgfDYlo/g8C84J0+83UcQAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMS0wMS0wMVQxMTo1MjozNyswMDowMBwtbhoAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEt
 MDEtMDFUMTE6NTI6MzcrMDA6MDBtcNamAAAAAElFTkSuQmCC
X-Now-Playing: Eurythmics's _Touch_: "Pain A Rumour"
Date: Fri, 01 Jan 2021 12:54:40 +0100
In-Reply-To: <FFDE84AC-AC33-4A5F-964B-8B0BD8B29992@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Fri, 1 Jan 2021 12:51:32
 +0100")
Message-ID: <877dowc1of.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: > Thank you
   for double-checking! But there are more modifiers than Meta, > and there is
    also @key{...} which expands to <...>. Oh, right. Well, if the manual displays
    these keys as M-<foo> etc, then I withdraw all my objections based on possible
    confusion -- this change would make things less confusing. So I'm leaning
    towards [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45536
Cc: Eli Zaretskii <eliz@HIDDEN>, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> Thank you for double-checking! But there are more modifiers than Meta,
> and there is also @key{...} which expands to <...>.

Oh, right.  Well, if the manual displays these keys as M-<foo> etc, then
I withdraw all my objections based on possible confusion -- this change
would make things less confusing.  So I'm leaning towards applying the
change and then see whether this breaks anything for anybody.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 1 Jan 2021 11:51:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 06:51:45 2021
Received: from localhost ([127.0.0.1]:55563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvIy9-0001Pw-8F
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 06:51:45 -0500
Received: from mail1443c50.megamailservers.eu ([91.136.14.43]:34108
 helo=mail264c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kvIy5-0001PT-Tm
 for 45536 <at> debbugs.gnu.org; Fri, 01 Jan 2021 06:51:43 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1609501895;
 bh=hmZ90a+lU3Uh/O5JY/O9U0FLg8HfuhLkqik9m5Xjgvk=;
 h=From:Subject:Date:In-Reply-To:Cc:To:References:From;
 b=fnFDUk34SXLMpC5DSZiQeTkKsTnc4yE5/tNxUhsFo441EshcNo3MU78X2YbNu2GBU
 fLXobl6mnmLVvOnZ2kcKujDTYAi/7ZRptwSPb+K3/6jF2jjxX99i0dnH6J6vDrqNIc
 Uh7FvU+61NkOGz3+ZkjfNLhJJNvZSXTNvzho/ZPQ=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail264c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 101BpWwf012972; 
 Fri, 1 Jan 2021 11:51:34 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Message-Id: <FFDE84AC-AC33-4A5F-964B-8B0BD8B29992@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_056F11CF-8F54-42A7-902E-897CF81A1C38"
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
Date: Fri, 1 Jan 2021 12:51:32 +0100
In-Reply-To: <87h7o1c4uv.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN> <87im8ioan4.fsf@HIDDEN>
 <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
 <9029B6ED-5201-417A-AE37-44A564561BBA@HIDDEN> <87h7o1c4uv.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A742F1B.5FEF0CC7.000A, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=bPlo382Z c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=M51BFTxLslgA:10 a=OocQHUDgAAAA:8
 a=65cgzAkViEJIYWq-oX8A:9 a=CjuIK1q_8ugA:10 a=3fbLLLLNgwQA:10
 a=1pCqwf6X2RTI_OluHlcA:9 a=7Zwj6sZBwVKJAoWSPKxL6X1jA+E=:19
 a=ITdVHhY7-e0A:10 a=xUZTl98r3Qw_uB5NK3jt:22
X-Origin-Country: SE
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 1 jan. 2021 kl. 11.46 skrev Lars Ingebrigtsen
 <larsi@HIDDEN>:
 > The only instance I could find of "M-<[a-z]" was this from the manual?
 Thank you for double-checking! But there are more modifiers than Meta, and
 there is also @key{...} which expands to <...>. Here are my grep results:
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 45536
Cc: Eli Zaretskii <eliz@HIDDEN>, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_056F11CF-8F54-42A7-902E-897CF81A1C38
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

1 jan. 2021 kl. 11.46 skrev Lars Ingebrigtsen <larsi@HIDDEN>:

> The only instance I could find of "M-<[a-z]" was this from the manual?

Thank you for double-checking! But there are more modifiers than Meta, =
and there is also @key{...} which expands to <...>.
Here are my grep results:


--Apple-Mail=_056F11CF-8F54-42A7-902E-897CF81A1C38
Content-Disposition: attachment;
	filename=logical-style-in-manual.log
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="logical-style-in-manual.log"
Content-Transfer-Encoding: 7bit

-*- mode: grep; default-directory: "~/emacs/doc/" -*-
Grep started at Fri Jan  1 12:47:19

git --no-pager grep -n -e \[CMAHSs\]-\\\(\[CMAHSs\]-\\\)\*\\\(\<.\*\>\\\|\@key\\\) -- \*.texi
emacs/basic.texi:241:@item C-@key{RIGHT}
emacs/basic.texi:242:@itemx M-@key{RIGHT}
emacs/basic.texi:253:@item C-@key{LEFT}
emacs/basic.texi:254:@itemx M-@key{LEFT}
emacs/basic.texi:282:On graphical displays, @kbd{C-@key{HOME}} does the same.
emacs/basic.texi:289:displays, @kbd{C-@key{END}} does the same.
emacs/basic.texi:416:@item M-@key{DEL}
emacs/basic.texi:417:@itemx M-@key{BACKSPACE}
emacs/buffers.texi:441:@item M-@key{DEL}
emacs/buffers.texi:735:  @kbd{M-@key{TAB}} will select the first completion in the list, like
emacs/buffers.texi:738:@kbd{M-@key{TAB}} can be used a few times to descend in the hierarchy
emacs/buffers.texi:800:bound to @kbd{C-Down-mouse-1} and @kbd{C-@key{F10}}, with its own
emacs/calendar.texi:300:date using @kbd{C-@key{SPC}}, move point to another date, and type @kbd{M-=}
emacs/calendar.texi:316:@itemx S-@key{SPC}
emacs/commands.texi:55:characters, e.g., @kbd{C-@key{F1}} or @kbd{M-@key{LEFT}}.
emacs/commands.texi:73:inputs, including @kbd{M-@key{TAB}}, @kbd{M-@key{SPC}}, @kbd{C-M-d}
emacs/custom.texi:134:field.  @kbd{S-@key{TAB}} (@code{widget-backward}) moves back to the
emacs/custom.texi:254:@kbd{M-@key{TAB}} or @kbd{@key{ESC} @key{TAB}}.  This behaves much
emacs/custom.texi:1833:(global-set-key (kbd "C-<f5>") 'display-line-numbers-mode)
emacs/custom.texi:1834:(global-set-key (kbd "C-<right>") 'forward-sentence)
emacs/custom.texi:2025:@kbd{M-@key{kp-8}}.
emacs/dired.texi:549:@itemx M-@key{DEL}
emacs/dired.texi:554:(@code{dired-unmark-all-files}).  If invoked with @kbd{M-@key{DEL}},
emacs/dired.texi:1187:@kbd{C-u C-@key{SPC}} returns to your previous position in the Dired
emacs/dired.texi:1508:@kbd{C-@key{RET}} (@code{image-dired-thumbnail-display-external}) to
emacs/display.texi:470:windowful, @kbd{S-@key{SPC}} or @key{DEL} to scroll backward, and @kbd{s} to
emacs/files.texi:1910:operations, and @kbd{M-@key{DEL}} which unmarks all the marked files.
emacs/files.texi:2073:When typing a file name in the minibuffer, @kbd{C-@key{TAB}}
emacs/files.texi:2075:name cache.  If you repeat @kbd{C-@key{TAB}}, that cycles through the
emacs/files.texi:2077:that the @kbd{C-@key{TAB}} character cannot be typed on most text
emacs/fixit.texi:288:@item M-@key{TAB}
emacs/fixit.texi:395:  In Text mode and related modes, @kbd{M-@key{TAB}}
emacs/fixit.texi:398:@kbd{M-@key{TAB}}; this shows a list of completions.  (If your
emacs/fixit.texi:399:window manager intercepts @kbd{M-@key{TAB}}, type @w{@kbd{@key{ESC}
emacs/frames.texi:519:@item M-@key{F10}
emacs/frames.texi:1385:@itemx C-@key{TAB}
emacs/frames.texi:1395:@item S-C-@key{TAB}
emacs/glossary.texi:1116:command, using @kbd{C-g} (or @kbd{C-@key{BREAK}} on MS-DOS).  @xref{Quitting}.
emacs/help.texi:429:@kbd{S-@key{SPC}} scrolls backward.  A few special commands are also
emacs/help.texi:437:@item S-@key{TAB}
emacs/help.texi:486:forward to the next hyperlink, while @kbd{S-@key{TAB}}
emacs/indent.texi:137:space.  You can also type @kbd{S-@key{LEFT}} or @kbd{S-@key{RIGHT}} to
emacs/killing.texi:94:@item M-@key{SPC}
emacs/killing.texi:121:deletes spaces and tab characters before point.  @kbd{M-@key{SPC}}
emacs/killing.texi:211:@item M-@key{DEL}
emacs/killing.texi:239:words, with @kbd{M-@key{DEL}} and @kbd{M-d} (@pxref{Words}); balanced
emacs/killing.texi:305:position, if you wish, with @kbd{C-u C-@key{SPC}} (@pxref{Mark Ring}).
emacs/killing.texi:432:with point shown by @point{}.  If you type @kbd{M-d M-@key{DEL} M-d
emacs/killing.texi:433:M-@key{DEL}}, killing alternately forward and backward, you end up with
emacs/killing.texi:437:@kbd{M-@key{SPC}} or @kbd{M-q}.)
emacs/killing.texi:442:ring.  @kbd{M-f M-f C-u M-@key{DEL}} kills the same text, all going
emacs/killing.texi:577:@kbd{C-@key{SPC}} and moving point; @pxref{Setting Mark}).
emacs/killing.texi:933:rectangle highlighting.  Use @kbd{C-@key{RET}} to start a rectangle,
emacs/killing.texi:951:copying of text between buffers.  Use @kbd{C-S-@key{SPC}} to toggle the
emacs/kmacro.texi:105:error or you type @kbd{C-g} (or, on MS-DOS, @kbd{C-@key{BREAK}}).
emacs/maintaining.texi:1290:@item S-@key{TAB}
emacs/maintaining.texi:2356:@itemx M-@key{TAB}
emacs/maintaining.texi:2372:@kbd{M-@key{TAB}} (@code{completion-at-point}) to complete the symbol
emacs/mark.texi:72:@item C-@key{SPC}
emacs/mark.texi:92:  The most common way to set the mark is with @kbd{C-@key{SPC}}
emacs/mark.texi:93:(@code{set-mark-command})@footnote{There is no @kbd{C-@key{SPC}}
emacs/mark.texi:94:character in @acronym{ASCII}; usually, typing @kbd{C-@key{SPC}} on a
emacs/mark.texi:98:@kbd{C-@@} as @kbd{C-@key{SPC}}.}.  This sets the mark where point is,
emacs/mark.texi:104:@kbd{C-@key{SPC}}, and move point until the desired portion of text is
emacs/mark.texi:116:@kbd{C-@key{SPC} C-@key{SPC}}), and later jump back there (by typing
emacs/mark.texi:117:@kbd{C-u C-@key{SPC}}).  @xref{Mark Ring}, for details.
emacs/mark.texi:131:similar to @kbd{C-u C-@key{SPC}}.
emacs/mark.texi:142:typing certain cursor motion commands (such as @kbd{S-@key{RIGHT}},
emacs/mark.texi:312:@item C-@key{SPC} C-@key{SPC}
emacs/mark.texi:314:@item C-u C-@key{SPC}
emacs/mark.texi:320:  The command @kbd{C-@key{SPC} C-@key{SPC}} is handy when you want to
emacs/mark.texi:324:actually two consecutive invocations of @kbd{C-@key{SPC}}
emacs/mark.texi:325:(@code{set-mark-command}); the first @kbd{C-@key{SPC}} sets the mark,
emacs/mark.texi:326:and the second @kbd{C-@key{SPC}} deactivates it.  (When Transient Mark
emacs/mark.texi:327:mode is off, @kbd{C-@key{SPC} C-@key{SPC}} instead activates Transient
emacs/mark.texi:332:prefix argument: @kbd{C-u C-@key{SPC}}.  This moves point to where the
emacs/mark.texi:334:@kbd{C-u C-@key{SPC}} jumps to a prior position stored in the mark
emacs/mark.texi:340:then immediately after you type @kbd{C-u C-@key{SPC}}, you can type
emacs/mark.texi:341:@kbd{C-@key{SPC}} instead of @kbd{C-u C-@key{SPC}} to cycle through
emacs/mark.texi:346:current buffer's mark ring.  In particular, @kbd{C-u C-@key{SPC}}
emacs/mark.texi:353:the list is discarded.  Repeating @kbd{C-u C-@key{SPC}} cycles through
emacs/mark.texi:377:  The command @kbd{C-x C-@key{SPC}} (@code{pop-global-mark}) jumps to
emacs/mark.texi:379:rotates the ring, so that successive uses of @kbd{C-x C-@key{SPC}} take
emacs/mark.texi:434:Setting the mark, with commands like @kbd{C-@key{SPC}} or @kbd{C-x
emacs/mark.texi:454:using @kbd{C-@key{SPC} C-@key{SPC}} or @kbd{C-u C-x C-x}.
emacs/mark.texi:457:@item C-@key{SPC} C-@key{SPC}
emacs/mark.texi:459:Set the mark at point (like plain @kbd{C-@key{SPC}}) and enable
emacs/mark.texi:461:is not really a separate command; you are using the @kbd{C-@key{SPC}}
emacs/mini.texi:108:Alternatively, you can use @kbd{M-@key{DEL}} to kill directory names
emacs/mini.texi:230:can also scroll the help text with @kbd{M-@key{PageUp}} and
emacs/mini.texi:231:@kbd{M-@key{PageDown}} (or, equivalently, @kbd{M-@key{prior}} and
emacs/mini.texi:232:@kbd{M-@key{next}}).  This is especially useful with long lists of
emacs/misc.texi:1191:@itemx C-@key{UP}
emacs/misc.texi:1198:@itemx C-@key{DOWN}
emacs/misc.texi:1239:@kbd{C-@key{UP}} works like @kbd{M-p}, and @kbd{C-@key{DOWN}} like
emacs/msdos-xtra.texi:61:  Emacs built for MS-DOS recognizes @kbd{C-@key{Break}} as a quit
emacs/msdos-xtra.texi:71:By contrast, @kbd{C-@key{Break}} @emph{is} detected as soon as you
emacs/msdos-xtra.texi:599:Pressing @kbd{C-c} or @kbd{C-@key{Break}} might sometimes help in these
emacs/msdos.texi:592:@cindex @kbd{M-@key{TAB}} vs @kbd{@key{Alt}-@key{TAB}} (MS-Windows)
emacs/msdos.texi:593:@cindex @kbd{@key{Alt}-@key{TAB}} vs @kbd{M-@key{TAB}} (MS-Windows)
emacs/msdos.texi:595:@kbd{M-@key{TAB}} normally in Emacs; for instance, to complete the
emacs/mule.texi:493:the current alternative with a special color; type @kbd{C-@key{SPC}}
emacs/mule.texi:1933:@kbd{C-@key{RIGHT}}, are sensitive to the base direction of the
emacs/picture-xtra.texi:210:@kbd{M-@key{TAB}} (@code{picture-tab-search}) for context-based tabbing.
emacs/picture-xtra.texi:215:@kbd{C-u M-@key{TAB}}, this command moves to the next such interesting
emacs/picture-xtra.texi:216:character in the current line.  @kbd{M-@key{TAB}} does not change the
emacs/picture-xtra.texi:233:This command sets the tab stops to the positions which @kbd{M-@key{TAB}}
emacs/picture-xtra.texi:236:@kbd{M-@key{TAB}} is more convenient in the cases where it is sufficient.
emacs/programs.texi:642:@itemx C-M-@key{SPC}
emacs/programs.texi:692:region, type @kbd{C-M-@key{SPC}} (@code{mark-sexp}).  This sets the
emacs/programs.texi:697:The alias @kbd{C-M-@@} is equivalent to @kbd{C-M-@key{SPC}}.
emacs/programs.texi:1388:  In programming language modes, type @kbd{C-M-i} or @kbd{M-@key{TAB}}
emacs/programs.texi:1390:the @kbd{M-@key{TAB}} key is usually reserved by the window manager
emacs/programs.texi:1399:@kbd{M-@key{TAB}}) invokes the command @code{completion-at-point},
emacs/programs.texi:1413:  In Text mode and related modes, @kbd{M-@key{TAB}} completes words
emacs/programs.texi:1741:@item C-c C-@key{DEL}
emacs/programs.texi:1749:@itemx C-c C-@key{Delete}
emacs/rmail.texi:113:@itemx S-@key{SPC}
emacs/rmail.texi:126:(or @kbd{S-@key{SPC}}) do the same as @kbd{C-v} (@code{scroll-up-command})
emacs/rmail.texi:1233:@item S-@key{TAB}
emacs/search.texi:147:@kbd{C-u C-@key{SPC}} or @kbd{C-x C-x} to return to where you were
emacs/search.texi:150:started the search, both @kbd{C-u C-@key{SPC}} and @kbd{C-x C-x} will
emacs/search.texi:472:  Typing @kbd{M-@key{TAB}} in incremental search invokes
emacs/search.texi:476:systems, the @kbd{M-@key{TAB}} key sequence is captured by the window
emacs/search.texi:1467:activating the mark; use @kbd{C-u C-@key{SPC}} to move back there.
emacs/text.texi:101:@item M-@key{DEL}
emacs/text.texi:112:cognate to @kbd{C-@@}, which is an alias for @kbd{C-@key{SPC}}.
emacs/text.texi:137:@kbd{M-@key{DEL}}.)  @kbd{M-d} takes arguments just like @kbd{M-f}.
emacs/text.texi:141:  @kbd{M-@key{DEL}} (@code{backward-kill-word}) kills the word before
emacs/text.texi:146:of @kbd{M-@key{DEL}}.
emacs/text.texi:923:  Text mode binds @kbd{M-@key{TAB}} to @code{ispell-complete-word}.
emacs/text.texi:927:@kbd{M-@key{TAB}} to switch windows, you can type @kbd{@key{ESC}
emacs/text.texi:1217:states.  Typing @kbd{S-@key{TAB}} (@code{outline-cycle-buffer}) cycles
emacs/text.texi:1393:  Typing @kbd{S-@key{TAB}} (@code{org-shifttab}) anywhere in an Org mode
emacs/text.texi:1407:body lines and subtree (if any), by typing @kbd{M-@key{UP}}
emacs/text.texi:1408:(@code{org-metaup}) or @kbd{M-@key{DOWN}} (@code{org-metadown}) on the
emacs/text.texi:1410:with @kbd{M-@key{LEFT}} (@code{org-metaleft}) and @kbd{M-@key{RIGHT}}
emacs/text.texi:2044:@kbd{M-@key{TAB}}, as well as on-the-fly XML
emacs/trouble.texi:23:@itemx C-@key{Break} @r{(MS-DOS only)}
emacs/trouble.texi:60:  On MS-DOS, the character @kbd{C-@key{Break}} serves as a quit character
emacs/trouble.texi:64:@kbd{C-@key{Break}} at all times.
emacs/trouble.texi:457:  On MS-DOS, you must type @kbd{C-@key{Break}} (twice) to cause
emacs/trouble.texi:593:long time.  Type @kbd{C-g} (@kbd{C-@key{Break}} on MS-DOS) and then
lispintro/emacs-lisp-intro.texi:2177:When the mark is set with the @kbd{C-@@} or @kbd{C-@key{SPC}} command,
lispintro/emacs-lisp-intro.texi:4244:with a command such as @kbd{C-@key{SPC}} (@code{set-mark-command}).  If
lispintro/emacs-lisp-intro.texi:4250:cursor to a saved mark by typing @kbd{C-u C-@key{SPC}} one or more
lispintro/emacs-lisp-intro.texi:4915:C-@key{SPC}} twice.
lispintro/emacs-lisp-intro.texi:5918:go back to it with @kbd{C-u C-@key{SPC}}.)  Meanwhile, point is
lispintro/emacs-lisp-intro.texi:10377:with @kbd{C-@key{SPC}} (@code{set-mark-command}), moving the cursor to
lispref/customize.texi:586:provides inline completion with @kbd{C-M-i} or @kbd{M-@key{TAB}}.
lispref/customize.texi:661:@kbd{M-@key{TAB}}.
lispref/keymaps.texi:95:(kbd "C-M-<down>") @result{} [C-M-down]
lispref/keymaps.texi:243:other input events; thus, @kbd{M-@key{end}} has nothing to do with
lispref/keymaps.texi:1267:for other kinds of input events.  Thus, @kbd{M-@key{F1}}, a function
lispref/minibuf.texi:373:@item @kbd{C-@key{TAB}}
lispref/minibuf.texi:1971:the @kbd{C-M-i} or @kbd{M-@key{TAB}} command, bound to
lispref/modes.texi:922:(@pxref{Syntax Class Table}), and binds @kbd{M-@key{TAB}} to
lispref/modes.texi:1785:@kbd{C-@key{DEL}}.  There are no @var{body} forms---many minor modes
misc/calc.texi:489:front of the list by typing @kbd{C-@key{SPC}} or @kbd{C-@@} there,
misc/calc.texi:1544:A related stack command is @kbd{M-@key{TAB}} (hold @key{META} and type
misc/calc.texi:1555:  10 @key{RET}         20 @key{RET}         30 @key{RET}         M-@key{TAB}          M-@key{TAB}
misc/calc.texi:1678:2 @key{RET} 3 @key{RET}        (            M-@key{TAB}          M-@key{TAB}            )
misc/calc.texi:2842:    U U            f T         M-@key{RET} M-2 n       f T            -
misc/calc.texi:2857:@kbd{M-@key{TAB}} commands to cycle the 116 up around the duplicates.
misc/calc.texi:3111:    M-@key{RET}             M-2 A          * /             I C
misc/calc.texi:3139:    r 1 r 2        V C  s 3  M-@key{RET}    M-2 A * /                 A I S
misc/calc.texi:3330:    M-@key{RET}  *                  U @key{TAB} *
misc/calc.texi:3706:(On your system this may be @kbd{C-2}, @kbd{C-@key{SPC}}, or @kbd{NUL}.)
misc/calc.texi:6168:following form:  Press @kbd{C-@@} (or @kbd{C-@key{SPC}}) at
misc/calc.texi:6521:Similarly, @kbd{M-@key{TAB}} gives you access to the number in level 3.
misc/calc.texi:6530:                  M-@key{TAB}           1 +           M-@key{TAB}          M-@key{TAB}
misc/calc.texi:6568:enough that Calc provides a special key, @kbd{M-@key{DEL}}, to do just that.
misc/calc.texi:6569:@kbd{M-@key{DEL}} is just like @kbd{@key{TAB} @key{DEL}}, except that it doesn't exhibit
misc/calc.texi:7105:Move to one end of the list and press @kbd{C-@@} (or @kbd{C-@key{SPC}} or
misc/calc.texi:8947:it, then move it back:  @kbd{C-x ( M-@key{TAB} n M-@key{TAB} M-@key{TAB} C-x )}.
misc/calc.texi:9151:  @key{RET} M-@key{TAB}         a =             Z /             Z > Z ' C-x )
misc/calc.texi:9186:                   @key{RET} M-@key{TAB}  a =  Z /
misc/calc.texi:9292:  @key{TAB} @key{RET} M-@key{TAB}       - @key{RET} M-@key{TAB}      a =     Z /    2  Z )  Z ' C-x )
misc/calc.texi:9319:                          @key{TAB} @key{RET} M-@key{TAB} - @key{RET} M-@key{TAB} a = Z /
misc/calc.texi:9367:   Z ( @key{TAB}         @key{RET} 0 s l x @key{RET}            M-@key{TAB} ! /  s | 1
misc/calc.texi:9414:           Z (  @key{TAB} @key{RET} 0 s l x @key{RET} M-@key{TAB} ! /  s | 1
misc/calc.texi:9488: M-@key{TAB} M-@key{TAB}     @key{TAB} @key{RET} M-@key{TAB}         z s          *          -
misc/calc.texi:9499:  Z ] Z ] C-x )   Z K s @key{RET}      @key{DEL} 4 @key{RET} 2       z s      M-@key{RET} k s
misc/calc.texi:9516:                 M-@key{TAB} M-@key{TAB} @key{TAB} @key{RET} M-@key{TAB} z s * -
misc/calc.texi:10104:You can finish an algebraic entry with @kbd{M-=} or @kbd{M-@key{RET}} instead
misc/calc.texi:10107:the variable @samp{pi}, but @kbd{' pi M-@key{RET}} pushes 3.1415.)
misc/calc.texi:10276:The @kbd{M-@key{RET}} key (@code{calc-last-args}) is like undo in that
misc/calc.texi:10284:to @kbd{M-@key{RET}}.  @xref{Stack and Trail}.
misc/calc.texi:11783:The @kbd{M-@key{DEL}} (@code{calc-pop-above}) command is to @key{DEL} what
misc/calc.texi:11786:Thus @kbd{M-@key{DEL}} by itself removes the second-from-top stack element,
misc/calc.texi:11787:leaving the first, third, fourth, and so on; @kbd{M-3 M-@key{DEL}} deletes
misc/calc.texi:11818:The command @kbd{M-@key{TAB}} (@code{calc-roll-up}) is analogous to @key{TAB}
misc/calc.texi:11822:@kbd{M-@key{TAB}} creates @samp{10 20 40 50 30},
misc/calc.texi:11823:@kbd{C-u 4 M-@key{TAB}} creates @samp{10 30 40 50 20},
misc/calc.texi:11824:@kbd{C-u - 2 M-@key{TAB}} creates @samp{30 40 50 10 20}, and
misc/calc.texi:11825:@kbd{C-u 0 M-@key{TAB}} creates @samp{50 40 30 20 10}.
misc/calc.texi:11827:A good way to view the operation of @key{TAB} and @kbd{M-@key{TAB}} is in
misc/calc.texi:11831:intervening stack elements toward the top.  @kbd{M-@key{TAB}} moves the
misc/calc.texi:11837:stack, and the object in level @mathit{@var{n}+1} to the top.  @kbd{M-@key{TAB}}
misc/calc.texi:12073:the argument, you can press @kbd{M-@key{RET}} (@code{calc-last-args}).
misc/calc.texi:12076:different than with @kbd{K}:  @kbd{2 @key{RET} 3 + M-@key{RET}} leaves
misc/calc.texi:19359:k N M-@key{RET} @key{DEL} 2.8 k N -}, using @kbd{M-@key{RET} @key{DEL}} to
misc/calc.texi:30263:``last arguments'' (@kbd{M-@key{RET}}).
misc/calc.texi:31598:instead of @kbd{M-@key{RET}} (@code{calc-last-args}).
misc/calc.texi:36655:@kbd{M-@key{DEL}}, the meaning of the sign is reversed.)
misc/cc-mode.texi:1580:@item @kbd{C-c C-@key{DEL}}, or @kbd{C-c @key{DEL}} (@code{c-hungry-delete-backwards})@footnote{This command was formerly known as @code{c-hungry-backspace}.}
misc/cc-mode.texi:1589:to both @kbd{C-c C-@key{DEL}} and @kbd{C-c @key{DEL}}, since the more
misc/cc-mode.texi:1590:natural one, @kbd{C-c C-@key{DEL}}, is sometimes difficult to type at
misc/cc-mode.texi:1593:@item @kbd{C-c C-d}, @kbd{C-c C-@key{DELETE}}, or @kbd{C-c @key{DELETE}} (@code{c-hungry-delete-forward})
misc/cc-mode.texi:1601:to both @kbd{C-c C-@key{Delete}} and @kbd{C-c @key{Delete}} for the
misc/cc-mode.texi:1628:@kbd{C-c @key{Delete}} and @kbd{C-c C-@key{Delete}} are bound to
misc/cc-mode.texi:1636:and @ccmode{} extends those bindings to @kbd{C-c C-@key{Backspace}}
misc/cc-mode.texi:1722:@item     @kbd{M-@key{DEL}} @tab @code{backward-kill-word} @tab @code{c-backward-kill-subword}
misc/efaq.texi:2447:Set the mark (@kbd{C-@key{SPC}}) at the beginning of the first line you
misc/efaq.texi:3842:(define-key function-key-map [M-@key{TAB}] [?\M-\t])
misc/efaq.texi:3846:defines the @kbd{M-@key{TAB}} key sequence.
misc/efaq.texi:3999:@item @kbd{C-2}  or  @kbd{C-@key{SPC}}
misc/erc.texi:281:@item M-@key{TAB} (@code{ispell-complete-word})
misc/ert.texi:265:In the ERT results buffer, @kbd{@key{TAB}} and @kbd{S-@key{TAB}} cycle between
misc/eshell.texi:890:So that @kbd{M-@key{DEL}} acts in a predictable manner, etc.
misc/eshell.texi:904:@item After pressing @kbd{M-@key{RET}}, redisplay before running the next command
misc/eshell.texi:1217:@item @kbd{M-@key{RET}} during a long command (using smart display) doesn't work
misc/eww.texi:113:  The @kbd{M-@key{RET}} command (@code{eww-open-in-new-buffer}) opens the
misc/forms.texi:356:@item S-@key{TAB}
misc/gnus.texi:2201:@item M-@key{RET}
misc/gnus.texi:2209:(i.e., @kbd{0 M-@key{RET}}), Gnus won't even generate the summary buffer,
misc/gnus.texi:2213:@item M-@key{SPC}
misc/gnus.texi:2220:@item C-M-@key{RET}
misc/gnus.texi:3916:@item M-@key{TAB}
misc/gnus.texi:5630:@item M-@key{RET}
misc/gnus.texi:7451:@itemx M-@key{DOWN}
misc/gnus.texi:7460:@itemx M-@key{UP}
misc/gnus.texi:11831:@item M-@key{RET} (Article)
misc/gnus.texi:12383:@item M-@key{TAB}
misc/gnus.texi:28043:@kbd{M-@key{RET}} is a new Message command for breaking cited text.
misc/idlwave.texi:295:@item @kbd{M-@key{RET}}
misc/idlwave.texi:307:@item @kbd{M-@key{TAB}}
misc/idlwave.texi:456:cursor in any line you would like to split and press @kbd{M-@key{RET}}.
misc/idlwave.texi:515:@kbd{M-@key{Tab}}.  A long list of plot's keywords appears.  Aha,
misc/idlwave.texi:700:(@kbd{M-@key{TAB}}) on any routine or partial routine name you know to
misc/idlwave.texi:705:    a=readf@kbd{M-@key{TAB}}
misc/idlwave.texi:941:@kbd{M-@key{RET}}, which calls the command @code{idlwave-split-line}.
misc/idlwave.texi:943:indents the new line.  The command @kbd{M-@key{RET}} can also be invoked
misc/idlwave.texi:1531:is bound to @kbd{M-@key{TAB}} (or simply @kbd{@key{TAB}} in the IDLWAVE
misc/idlwave.texi:1538:what @kbd{M-@key{TAB}} would try to complete when the cursor is on the
misc/idlwave.texi:1566:name at such a location by using a prefix arg: @kbd{C-u M-@key{TAB}}.
misc/idlwave.texi:1568:Giving two prefix arguments (@kbd{C-u C-u M-@key{TAB}}) prompts for a
misc/idlwave.texi:1579:@kbd{M-@key{TAB}} repeatedly.  Online help (if installed) for each
misc/idlwave.texi:1682:M-@key{TAB}}.  IDLWAVE will then prompt you for the class in order to
misc/idlwave.texi:2564:@item @kbd{M-@key{TAB}}
misc/idlwave.texi:2947:program, you can use the commands @kbd{C-c C-d C-@key{UP}}
misc/idlwave.texi:2948:(@code{idlwave-shell-stack-up}) and @kbd{C-c C-d C-@key{DOWN}}
misc/idlwave.texi:4063:@item M-@key{TAB} switches among running programs---use @key{ESC}-@key{TAB}
misc/idlwave.texi:4138:@item @strong{@kbd{M-@key{TAB}} doesn't complete words, it switches
misc/idlwave.texi:4141:Your system is trapping @kbd{M-@key{TAB}} and using it for its own
misc/info.texi:163:@kbd{S-@key{SPC}} (press and hold the @key{Shift} key and then press
misc/info.texi:670:stand-alone reader, type @kbd{M-@key{TAB}}---that is, press and hold
misc/info.texi:673:@kbd{S-@key{TAB}} to move to a previous subtopic line (press and hold
misc/info.texi:785:  The @key{TAB}, @kbd{M-@key{TAB}} and @kbd{S-@key{TAB}} keys,
misc/info.texi:1247:@key{DEL}, or @kbd{S-@key{SPC}}) keys in a menu visit subnodes of the
misc/message.texi:1438:@item M-@key{RET}
misc/message.texi:1449:If point is before @samp{And} and you press @kbd{M-@key{RET}}, you'll get:
misc/mh-e.texi:454:@kbd{C-@key{SPC}}).
misc/mh-e.texi:1701:@item K S-@key{TAB}
misc/mh-e.texi:2347:@kbd{K S-@key{TAB}} (@code{mh-prev-button}). If the beginning of the
misc/mh-e.texi:3027:message with @kbd{M-<} (@code{mh-first-msg}) and @kbd{M->}
misc/mh-e.texi:4385:@item M-@key{TAB}
misc/mh-e.texi:4401:@item S-@key{TAB}
misc/mh-e.texi:4818:@kbd{S-@key{TAB}} (@code{mh-letter-previous-header-field}) moves
misc/mh-e.texi:4839:@kbd{M-@key{TAB}} (@code{mh-letter-complete}) will provide alias
misc/mh-e.texi:4841:@kbd{M-@key{TAB}} runs @code{mh-letter-complete-function} instead,
misc/mh-e.texi:4843:@kbd{M-@key{TAB}} (@code{mh-letter-complete}) takes a prefix argument
misc/mh-e.texi:5320:@kbd{C-@key{SPC}}, type in the text to be highlighted, and type @kbd{C-c t
misc/mh-e.texi:5718:@item M-@key{TAB}
misc/mh-e.texi:5806:@kbd{M-@key{TAB}} (@code{mh-letter-complete}) or @key{SPC}
misc/mh-e.texi:5823:@samp{To:} field and then @kbd{M-@key{TAB}}, then you'd get the list;
misc/mh-e.texi:5824:if you started with @kbd{m} and then entered @kbd{M-@key{TAB}}, then
misc/mh-e.texi:6615:@item S-@key{TAB}
misc/mh-e.texi:6769:(@code{mh-index-next-folder}) and @kbd{S-@key{TAB}}
misc/newsticker.texi:241:@item M-@key{UP}
misc/newsticker.texi:242:@itemx M-@key{DOWN}
misc/newsticker.texi:248:@item M-S-@key{UP}
misc/newsticker.texi:249:@itemx M-S-@key{DOWN}
misc/nxml-mode.texi:129:@kbd{M-@key{TAB}}.  Note that many window systems and window managers
misc/nxml-mode.texi:130:use @kbd{M-@key{TAB}} themselves (typically for switching between
misc/org.texi:451:* Completion::                   @kbd{M-@key{TAB}} guesses completions.
misc/org.texi:725:@kbd{C-@key{SPC}} twice before moving point.
misc/org.texi:899:document structure, @kbd{M-@key{RIGHT}} will be listed to call
misc/org.texi:999:@kbd{S-@key{TAB}} to change the visibility in the buffer.
misc/org.texi:1015:@item @kbd{S-@key{TAB}} (@code{org-global-cycle})
misc/org.texi:1032:When @kbd{S-@key{TAB}} is called with a numeric prefix argument
misc/org.texi:1036:Note that inside tables (see @ref{Tables}), @kbd{S-@key{TAB}} jumps to the
misc/org.texi:1234:@item @kbd{M-@key{RET}} (@code{org-meta-return})
misc/org.texi:1255:@item @kbd{C-@key{RET}} (@code{org-insert-heading-respect-content})
misc/org.texi:1260:@item @kbd{M-S-@key{RET}} (@code{org-insert-todo-heading})
misc/org.texi:1267:@item @kbd{C-S-@key{RET}} (@code{org-insert-todo-heading-respect-content})
misc/org.texi:1271:@kbd{C-@key{RET}}, the new headline is inserted after the current
misc/org.texi:1283:@item @kbd{M-@key{LEFT}} (@code{org-do-promote})
misc/org.texi:1284:@itemx @kbd{M-@key{RIGHT}} (@code{org-do-demote})
misc/org.texi:1301:@item @kbd{M-S-@key{LEFT}} (@code{org-promote-subtree})
misc/org.texi:1306:@item @kbd{M-S-@key{RIGHT}} (@code{org-demote-subtree})
misc/org.texi:1311:@item @kbd{M-@key{UP}} (@code{org-move-subtree-up})
misc/org.texi:1316:@item @kbd{M-@key{DOWN}} (@code{org-move-subtree-down})
misc/org.texi:1617:@item @kbd{M-@key{RET}} (@code{org-insert-heading})
misc/org.texi:1629:@item @kbd{M-S-@key{RET}}
misc/org.texi:1633:@item @kbd{S-@key{UP}}
misc/org.texi:1634:@itemx @kbd{S-@key{DOWN}}
misc/org.texi:1643:paragraph jumping commands like @kbd{C-@key{UP}} and
misc/org.texi:1644:@kbd{C-@key{DOWN}} to quite similar effect.
misc/org.texi:1646:@item @kbd{M-@key{UP}}
misc/org.texi:1647:@itemx @kbd{M-@key{DOWN}}
misc/org.texi:1654:@item @kbd{M-@key{LEFT}}
misc/org.texi:1655:@itemx @kbd{M-@key{RIGHT}}
misc/org.texi:1661:@item @kbd{M-S-@key{LEFT}}
misc/org.texi:1662:@itemx @kbd{M-S-@key{RIGHT}}
misc/org.texi:1709:@item @kbd{S-@key{LEFT}}
misc/org.texi:1710:@itemx @kbd{S-@key{RIGHT}}
misc/org.texi:1756:@kbd{M-@key{TAB}}@footnote{Many desktops intercept @kbd{M-@key{TAB}} to switch windows.
misc/org.texi:1859:@kbd{@key{TAB}}, @kbd{S-@key{TAB}} or @kbd{@key{RET}}, the field is
misc/org.texi:1905:@item @kbd{S-@key{TAB}} (@code{org-table-previous-field})
misc/org.texi:1933:@item @kbd{M-@key{LEFT}} (@code{org-table-move-column-left})
misc/org.texi:1938:@item @kbd{M-@key{RIGHT}} (@code{org-table-move-column-right})
misc/org.texi:1943:@item @kbd{M-S-@key{LEFT}} (@code{org-table-delete-column})
misc/org.texi:1948:@item @kbd{M-S-@key{RIGHT}} (@code{org-table-insert-column})
misc/org.texi:1954:@item @kbd{M-@key{UP}} (@code{org-table-move-row-up})
misc/org.texi:1959:@item @kbd{M-@key{DOWN}} (@code{org-table-move-row-down})
misc/org.texi:1964:@item @kbd{M-S-@key{UP}} (@code{org-table-kill-row})
misc/org.texi:1969:@item @kbd{S-@key{UP}} (@code{org-table-move-cell-up})
misc/org.texi:1974:@item @kbd{S-@key{DOWN}} (@code{org-table-move-cell-down})
misc/org.texi:1979:@item @kbd{S-@key{LEFT}} (@code{org-table-move-cell-left})
misc/org.texi:1984:@item @kbd{S-@key{RIGHT}} (@code{org-table-move-cell-right})
misc/org.texi:1989:@item @kbd{M-S-@key{DOWN}} (@code{org-table-insert-row})
misc/org.texi:2049:@item @kbd{M-@key{RET}} (@code{org-table-wrap-region})
misc/org.texi:2075:@item @kbd{S-@key{RET}} (@code{org-table-copy-down})
misc/org.texi:3011:@item @kbd{M-@key{TAB}} (@code{lisp-complete-symbol})
misc/org.texi:3016:@item @kbd{S-@key{UP}}, @kbd{S-@key{DOWN}}, @kbd{S-@key{LEFT}}, @kbd{S-@key{RIGHT}}
misc/org.texi:3026:@samp{B3} and you press @kbd{S-@key{RIGHT}}, it becomes @samp{C3}.  This also
misc/org.texi:3029:@item @kbd{M-S-@key{UP}} (@code{org-table-fedit-line-up})
misc/org.texi:3034:@item @kbd{M-S-@key{DOWN}} (@code{org-table-fedit-line-down})
misc/org.texi:3039:@item @kbd{M-@key{UP}} (@code{org-table-fedit-scroll-up})
misc/org.texi:3044:@item @kbd{M-@key{DOWN}} (@code{org-table-fedit-scroll-down})
misc/org.texi:3247:@kbd{@key{TAB}} or @kbd{@key{RET}} or @kbd{S-@key{TAB}} in this row.
misc/org.texi:3517:the buffer and press @kbd{M-@key{TAB}}.  All headlines in the current
misc/org.texi:4241:@item @kbd{S-@key{RIGHT}} @kbd{S-@key{LEFT}}
misc/org.texi:4274:@item @kbd{S-M-@key{RET}} (@code{org-insert-todo-heading})
misc/org.texi:4334:the state immediately to @samp{VERIFY}.  Or you can use @kbd{S-@key{RIGHT}}
misc/org.texi:4335:and @kbd{S-@key{LEFT}} to go forward and backward through the states.
misc/org.texi:4406:@itemx @kbd{C-S-@key{RIGHT}}
misc/org.texi:4407:@itemx @kbd{C-S-@key{LEFT}}
misc/org.texi:4412:above example, @kbd{C-u C-u C-c C-t} or @kbd{C-S-@key{RIGHT}}
misc/org.texi:4417:@item @kbd{S-@key{RIGHT}}
misc/org.texi:4418:@itemx @kbd{S-@key{LEFT}}
misc/org.texi:4421:@kbd{S-@key{LEFT}} and @kbd{S-@key{RIGHT}} walk through @emph{all} keywords
misc/org.texi:4422:from all sub-sequences, so for example @kbd{S-@key{RIGHT}} would
misc/org.texi:4493:buffer and then use @kbd{M-@key{TAB}} to complete it (see @ref{Completion}).
misc/org.texi:4923:@item @kbd{S-@key{UP}} (@code{org-priority-up})
misc/org.texi:4924:@itemx @kbd{S-@key{DOWN}} (@code{org-priority-down})
misc/org.texi:5124:@item @kbd{M-S-@key{RET}} (@code{org-insert-todo-heading})
misc/org.texi:5148:@kbd{M-S-@key{RET}}.  TODO statistics cookies update when changing
misc/org.texi:5245:After a colon, @kbd{M-@key{TAB}} offers completion on tags.  There is
misc/org.texi:5736:@item @kbd{M-@key{TAB}} (@code{pcomplete})
misc/org.texi:5766:@item @kbd{S-@key{RIGHT}} (@code{org-property-next-allowed-values})
misc/org.texi:5767:@itemx @kbd{S-@key{LEFT}} (@code{org-property-previous-allowed-value})
misc/org.texi:5959:view---@kbd{S-@key{TAB}} @kbd{S-@key{TAB}}, or simply @kbd{c}
misc/org.texi:6193:@item @kbd{n} or @kbd{S-@key{RIGHT}} (@code{org-columns-next-allowed-value})
misc/org.texi:6194:@itemx @kbd{p} or @kbd{S-@key{LEFT}} (@code{org-columns-previous-allowed-value})
misc/org.texi:6245:@item @kbd{S-M-@key{RIGHT}} (@code{org-columns-new})
misc/org.texi:6250:@item @kbd{S-M-@key{LEFT}} (@code{org-columns-delete})
misc/org.texi:6549:@item @kbd{S-@key{LEFT}} (@code{org-timestamp-down-day})
misc/org.texi:6550:@itemx @kbd{S-@key{RIGHT}} (@code{org-timestamp-up-day})
misc/org.texi:6558:@item @kbd{S-@key{UP}} (@code{org-timestamp-up})
misc/org.texi:6559:@itemx @kbd{S-@key{DOWN}} (@code{org-timestamp-down})
misc/org.texi:6725:@item @kbd{S-@key{RIGHT}}
misc/org.texi:6727:@item @kbd{S-@key{LEFT}}
misc/org.texi:6729:@item @kbd{S-@key{DOWN}}
misc/org.texi:6731:@item @kbd{S-@key{UP}}
misc/org.texi:6733:@item @kbd{M-S-@key{RIGHT}}
misc/org.texi:6735:@item @kbd{M-S-@key{LEFT}}
misc/org.texi:6793:The @kbd{S-@key{UP}} and @kbd{S-@key{DOWN}} keys can no longer be used
misc/org.texi:6795:beginning of the stamp, @kbd{S-@key{UP}} and @kbd{S-@key{DOWN}} change
misc/org.texi:6796:the stamp by one day, just like @kbd{S-@key{LEFT}}
misc/org.texi:6797:@kbd{S-@key{RIGHT}}.  At the end of the stamp, change the time by one
misc/org.texi:7197:change them with @kbd{S-<cursor>} keys, the update is
misc/org.texi:7200:@item @kbd{C-S-@key{UP}} (@code{org-clock-timestamps-up})
misc/org.texi:7201:@itemx @kbd{C-S-@key{DOWN}} (@code{org-clock-timestamps-down})
misc/org.texi:7209:@item @kbd{S-M-@key{UP}} (@code{org-timestamp-up})
misc/org.texi:7210:@itemx @kbd{S-M-@key{DOWN}} (@code{org-timestamp-down})
misc/org.texi:7217:duration.  For example, if you hit @kbd{S-M-@key{UP}} to increase
misc/org.texi:7292:@item @kbd{S-@key{LEFT}}
misc/org.texi:7293:@itemx @kbd{S-@key{RIGHT}} (@code{org-clocktable-try-shift})
misc/org.texi:7384:Use @kbd{S-@key{LEFT}} or @kbd{S-@key{RIGHT}} to shift the time
misc/org.texi:7712:column mode, and to use @kbd{S-@key{RIGHT}} and @kbd{S-@key{LEFT}} to
misc/org.texi:7783:@item @kbd{M-@key{RET}} (@code{org-insert-heading})
misc/org.texi:7786:Once the timer list is started, you can also use @kbd{M-@key{RET}} to
misc/org.texi:8002:subtrees with @kbd{C-@key{TAB}}, or by setting the option
misc/org.texi:8050:@item @kbd{C-c C-@key{TAB}} (@code{org-force-cycle-archived})
misc/org.texi:10388:modification of the timestamps of items with @kbd{S-@key{LEFT}} and
misc/org.texi:10389:@kbd{S-@key{RIGHT}}.  When the buffer is the global TODO list,
misc/org.texi:10418:@item @kbd{M-@key{UP}} (@code{org-agenda-drag-line-backward})
misc/org.texi:10427:@item @kbd{M-@key{DOWN}} (@code{org-agenda-drag-line-forward})
misc/org.texi:10459:@item @kbd{C-S-@key{RIGHT}} (@code{org-agenda-todo-nextset})
misc/org.texi:10464:@item @kbd{C-S-@key{LEFT}}, @code{org-agenda-todo-previousset}
misc/org.texi:10532:@item @kbd{+} or @kbd{S-@key{UP}} (@code{org-agenda-priority-up})
misc/org.texi:10540:@item @kbd{-} or @kbd{S-@key{DOWN}} (@code{org-agenda-priority-down})
misc/org.texi:10578:@item @kbd{S-@key{RIGHT}} (@code{org-agenda-do-date-later})
misc/org.texi:10584:it by that many days.  For example, @kbd{3 6 5 S-@key{RIGHT}} changes
misc/org.texi:10593:@item @kbd{S-@key{LEFT}} (@code{org-agenda-do-date-earlier})
misc/org.texi:11444:and maybe a few letters, and press @kbd{M-@key{TAB}} to see possible
misc/org.texi:12211:@kbd{M-@key{TAB}}@footnote{Many desktops intercept @kbd{M-@key{TAB}} to switch windows.
misc/org.texi:19399:@item @kbd{M-@key{UP}}
misc/org.texi:19401:@item @kbd{M-@key{DOWN}}
misc/org.texi:19553:* Completion::                   @kbd{M-@key{TAB}} guesses completions.
misc/org.texi:19599:@item @kbd{M-@key{TAB}}
misc/org.texi:19632:pressing @kbd{M-@key{TAB}} again inserts example settings for this
misc/org.texi:20553:with Org's use of @kbd{S-<cursor>} commands to change timestamps,
misc/org.texi:20555:@kbd{S-<cursor>} commands outside of specific contexts do not do
misc/org.texi:20566:Org key bindings conflict with @kbd{S-<cursor>} keys used by
misc/org.texi:20573:@item @kbd{S-@key{UP}}      @result{}  @kbd{M-p}
misc/org.texi:20574:@tab @kbd{S-@key{DOWN}}     @result{}  @kbd{M-n}
misc/org.texi:20575:@item @kbd{S-@key{LEFT}}    @result{}  @kbd{M--}
misc/org.texi:20576:@tab @kbd{S-@key{RIGHT}}    @result{}  @kbd{M-+}
misc/org.texi:20577:@item @kbd{C-S-@key{LEFT}}  @result{}  @kbd{M-S--}
misc/org.texi:20578:@tab @kbd{C-S-@key{RIGHT}}  @result{}  @kbd{M-S-+}
misc/org.texi:20624:This package also uses the @kbd{S-<cursor>} keys, so everything
misc/org.texi:20627:mode does not have special functionality on @kbd{S-<cursor>},
misc/org.texi:20682:@kbd{S-<cursor>} for editing timestamp might be better with
misc/org.texi:20690:@item @kbd{S-@key{TAB}}
misc/org.texi:20694:@item @kbd{M-@key{LEFT}}
misc/org.texi:20698:@item @kbd{M-S-@key{LEFT}}
misc/org.texi:20702:@item @kbd{M-@key{RIGHT}}
misc/org.texi:20706:@item @kbd{M-S-@key{RIGHT}}
misc/org.texi:20710:@item @kbd{M-@key{UP}}
misc/org.texi:20714:@item @kbd{M-S-@key{UP}}
misc/org.texi:20718:@item @kbd{M-@key{DOWN}}
misc/org.texi:20722:@item @kbd{M-S-@key{DOWN}}
misc/org.texi:20726:@item @kbd{S-@key{RET}}
misc/org.texi:20730:@item @kbd{M-@key{RET}}
misc/org.texi:20734:@item @kbd{M-S-@key{RET}}
misc/org.texi:20738:@item @kbd{S-@key{LEFT}}
misc/org.texi:20742:@item @kbd{S-@key{RIGHT}}
misc/org.texi:20746:@item @kbd{S-@key{UP}}
misc/org.texi:20750:@item @kbd{S-@key{DOWN}}
misc/org.texi:20754:@item @kbd{C-S-@key{LEFT}}
misc/org.texi:20758:@item @kbd{C-S-@key{RIGHT}}
misc/pcl-cvs.texi:740:@item M-@key{DEL}
misc/pcl-cvs.texi:1113:selection with @kbd{M-@key{DEL}} (@code{cvs-mode-unmark-all-files}), position
misc/rcirc.texi:246:Use @kbd{C-c C-@key{SPC}} to switch to these buffers.
misc/rcirc.texi:656:channel or nick name.  Use @kbd{C-c C-@key{SPC}} to switch to these
misc/rcirc.texi:672:active channels using @kbd{C-c C-@key{SPC}} no longer works as
misc/rcirc.texi:680:@kbd{C-c C-@key{SPC}} will not switch to low priority channels unless
misc/sem-user.texi:822:behaves like the usual @kbd{M-@key{TAB}} (@code{complete-symbol})
misc/ses.texi:234:@item C-@key{SPC}
misc/ses.texi:297:@item M-@key{TAB}
misc/ses.texi:431:While typing in a lambda, you can use @kbd{M-@key{TAB}} to complete
misc/todo-mode.texi:1420:@itemx S-@key{TAB}
misc/tramp.texi:4735:C-@key{TAB}}.
misc/widget.texi:310:@item @kbd{M-@key{TAB}}
misc/widget.texi:311:@itemx @kbd{S-@key{TAB}}
misc/widget.texi:458:@key{TAB} and @kbd{C-@key{TAB}} are bound to @code{widget-forward} and
misc/woman.texi:633:@itemx @kbd{S-@key{SPC}}

Grep finished with matches found at Fri Jan  1 12:47:20

--Apple-Mail=_056F11CF-8F54-42A7-902E-897CF81A1C38--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 1 Jan 2021 10:46:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 05:46:13 2021
Received: from localhost ([127.0.0.1]:55443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvHwj-0005xg-FE
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 05:46:13 -0500
Received: from quimby.gnus.org ([95.216.78.240]:56594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kvHwi-0005xU-Ce
 for 45536 <at> debbugs.gnu.org; Fri, 01 Jan 2021 05:46:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=miUtuqMddpiISSdC+IjkrjzydVssFCPkRKY4pBskzkg=; b=SqZtlaK9wB/a9Q5YHqR0qeKQYC
 K0iXKg4+8j/B97UVV4BgLWlo4KB/fp84G9OUIXBbbeUxdNg/QJ2gTTRQ5IV1leyqdGG1uWy/q5Xqt
 TYXgPnG/9ZRKpivoX9pfOfQw64a2qBLS+SsTziatwM2HoE8g9Rt8RyHQVmrKl3KivVfs=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kvHwX-0008Qj-Ha; Fri, 01 Jan 2021 11:46:05 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN>
 <87im8ioan4.fsf@HIDDEN>
 <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
 <9029B6ED-5201-417A-AE37-44A564561BBA@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUhQ1Zsjpx7mKP/
 //9GoNHaAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UBAQotB7xYJN4AAAFTSURBVCjPbZKxasMwEIbv
 RGxophYsaDVl6JSnkKF0VsHK4KlDO1hPoSmzC/GSyYWoxHrK3p2S0KEeTnz3n/67Ewb4/3MSK4l4
 KkdJFWiIHaiF6rSlasz5ayAwTpM62TmMDOoe4BtGw0r3RsqAkU1Nh5w6itd2agjaYmySW13bM5CB
 L7CeNEm2QD1yDPlRJpPykC6TuepyHXABqz84hwVabUO2RWlb5UweC2hQEZ4ZqgzaYYSNKANsD9QT
 L+C7azscVrVMvOLgsT+xg0Bjdx3UAO8ywogCM9Ia9ck2oKY8e4YE5BaW1GfqmuwLl/9khkVWrgXA
 yzZ45DugOWBOAk+eVjF98jt+K37+TX3GnpXQAZplwcA+4QBq39oCmQY9Q6Sd2WgCtY4RuQ/sCOwc
 K1bgNTllTawFHj6dovUqGasKkxydxN7b209zN3l3A9DtHwBs5PgFAqBahyQmgO0AAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjEtMDEtMDFUMTA6NDU6MDcrMDA6MDBsZnTFAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIxLTAxLTAxVDEwOjQ1OjA3KzAwOjAwHTvMeQAAAABJRU5ErkJggg==
X-Now-Playing: Dif Juz's _Who Says So?_: "So Shy"
Date: Fri, 01 Jan 2021 11:46:00 +0100
In-Reply-To: <9029B6ED-5201-417A-AE37-44A564561BBA@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Thu, 31 Dec 2020 13:29:47
 +0100")
Message-ID: <87h7o1c4uv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: > 31 dec. 2020
    kl. 10.59 skrev Mattias Engdegård <mattiase@HIDDEN>: > >> The manual uses
    it a bit everywhere, and rightly so. > > Correction: the manual uses the
   logical notation almost exclusively. [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45536
Cc: Eli Zaretskii <eliz@HIDDEN>, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> 31 dec. 2020 kl. 10.59 skrev Mattias Engdeg=C3=A5rd <mattiase@HIDDEN>:
>
>> The manual uses it a bit everywhere, and rightly so.
>
> Correction: the manual uses the logical notation almost exclusively.
> Perhaps the Reddit crowd has been fuming about this for decades, I
> wouldn't know.

The only instance I could find of "M-<[a-z]" was this from the manual?

(kbd "C-M-<down>") @result{} [C-M-down]

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 31 Dec 2020 12:40:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 31 07:40:03 2020
Received: from localhost ([127.0.0.1]:38192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuxFL-00038t-3c
	for submit <at> debbugs.gnu.org; Thu, 31 Dec 2020 07:40:03 -0500
Received: from mail151c50.megamailservers.eu ([91.136.10.161]:43098
 helo=mail50c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kux5U-0008V4-GY
 for 45536 <at> debbugs.gnu.org; Thu, 31 Dec 2020 07:29:53 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1609417790;
 bh=W16k6logp5LEVKsr4KKdnV8x2fh4xVz4KGGuinEHiYg=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=c2zGGA8dQNkBcusoIAl6nNAPPdiRGxWpp6CQSQYxvgtdofky2ZGAZnw0R5yx13Cd+
 Y+pirg1JI5fRXC8jUW/Lc3QZOFqAsULrO+mfcEGM5ZLp0sNg9sxxtm+bs3PK/vzYSi
 X2aX/8RgSXISpUgVZbizKojo1G+M7yq06ofi7MkQ=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail50c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 0BVCTm3Y003123; 
 Thu, 31 Dec 2020 12:29:49 +0000
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
Date: Thu, 31 Dec 2020 13:29:47 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <9029B6ED-5201-417A-AE37-44A564561BBA@HIDDEN>
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN> <87im8ioan4.fsf@HIDDEN>
 <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A742F24.5FEDC43E.0023, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=EoysUhUA c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=IkcTkHD0fZMA:10 a=M51BFTxLslgA:10
 a=N54-gffFAAAA:8 a=a7bcpwYIF9bUn0s-bSQA:9 a=QEXdDO2ut3YA:10
 a=v7zKWsmy5NQA:10 a=6l0D2HzqY3Epnrm8mE3f:22
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  31 dec. 2020 kl. 10.59 skrev Mattias Engdegård <mattiase@HIDDEN>:
    > The manual uses it a bit everywhere, and rightly so. Correction: the manual
    uses the logical notation almost exclusively. Perhaps the Reddit crowd has
    been fuming about this for decades, I wouldn't know. 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: megamailservers.eu]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 45536
Cc: Eli Zaretskii <eliz@HIDDEN>, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

31 dec. 2020 kl. 10.59 skrev Mattias Engdeg=C3=A5rd <mattiase@HIDDEN>:

> The manual uses it a bit everywhere, and rightly so.

Correction: the manual uses the logical notation almost exclusively.
Perhaps the Reddit crowd has been fuming about this for decades, I =
wouldn't know.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 31 Dec 2020 09:59:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 31 04:59:54 2020
Received: from localhost ([127.0.0.1]:53509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuukM-0002AI-Dd
	for submit <at> debbugs.gnu.org; Thu, 31 Dec 2020 04:59:54 -0500
Received: from mail1435c50.megamailservers.eu ([91.136.14.35]:36002
 helo=mail263c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kuukK-0002A4-Df
 for 45536 <at> debbugs.gnu.org; Thu, 31 Dec 2020 04:59:53 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1609408785;
 bh=YNlDEMqXnLQn9OtgZtIx0sJTWv+sffoTXez6OTkVPf8=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=qZUDRRFLhP6Fa+ZyniTmRtiNyU7NUSBVnZHTyBAMWs246clvmA7FBgC4EjSeh7HDT
 C728ZPpCoZjCtYnPm6ypnQwClGm9pgUuA9NwuhY5uKCjt1lfidQmCrWD+Ja2+kfoAY
 ktwxT9277k5pYNECY159WSCY5/noakJFPSVIXve4=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail263c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 0BV9xdiX004876; 
 Thu, 31 Dec 2020 09:59:43 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <87im8ioan4.fsf@HIDDEN>
Date: Thu, 31 Dec 2020 10:59:39 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <FF3E4FB4-C370-4A27-B824-FBC91E8327B6@HIDDEN>
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN> <87im8ioan4.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A742F27.5FEDA111.0018, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=foiim2wf c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=OocQHUDgAAAA:8 a=8onWCLtbJCKAG9o9OjMA:9 a=CjuIK1q_8ugA:10
 a=xUZTl98r3Qw_uB5NK3jt:22
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 31 dec. 2020 kl. 05.35 skrev Lars Ingebrigtsen
 <larsi@HIDDEN>:
 > The confusion problem is still present, though -- people will see > different
 ways of representing keystrokes (in examples on the web, > etc). 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 45536
Cc: Eli Zaretskii <eliz@HIDDEN>, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

31 dec. 2020 kl. 05.35 skrev Lars Ingebrigtsen <larsi@HIDDEN>:

> The confusion problem is still present, though -- people will see
> different ways of representing keystrokes (in examples on the web,
> etc).=20

Let's not make a mole out of a molehill -- it will be all right. After =
all, the change is for the better.
Surely we must be able to correct past mistakes?

Remember that this is not a new notation -- 'kbd' has always accepted =
it, and I'm sure that .emacs files the world over contain instances of =
it. The manual uses it a bit everywhere, and rightly so. I'm quite sure =
that nobody ever got confused by it.

Actually it makes sense to let the logical notation be the default, =
doesn't it? There's no harm in trying it on master.

> What's the specific use case?

The NS port renders <backspace> as the backspace symbol (etc), by =
convention for that platform. This is done by string replacement and =
won't work if the key is <M-backspace> instead of M-<backspace>.

Of course we can add messy code to correct for this, but why do that =
locally in the NS port for this specific purpose when everyone could =
benefit from a clearer notation in the first place?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 31 Dec 2020 04:35:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 30 23:35:58 2020
Received: from localhost ([127.0.0.1]:51660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kupgs-0005Km-A4
	for submit <at> debbugs.gnu.org; Wed, 30 Dec 2020 23:35:58 -0500
Received: from quimby.gnus.org ([95.216.78.240]:44316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kupgq-0005KZ-R5
 for 45536 <at> debbugs.gnu.org; Wed, 30 Dec 2020 23:35:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=IQsb40MNfy3E/kfUyzvWaZx7DjnupgqAmrFqQUOyqmk=; b=O+3zRddPxQBGUuEuRJnPCZBq1c
 dIJ75IbRMvLEONtPnrn1a4G+a2ALTIWJgLKRboLoDY3WmngkWUS1B6Ryee0i9Pu3rh166LU9IguuZ
 HP04hEgrccR4HXLL5QA526B/9vV1JcDYXhWK1J0SxIUnfTxQ7nDa1uL1BccEhfRLMGBA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kupge-000293-D0; Thu, 31 Dec 2020 05:35:50 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
 <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEUEAQIvFRxjJjBu
 OEeVKzm6SVTUja3///9ttdmYAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QMHwQdC+M8RLQAAAGwSURB
 VDjLvdNdcpswEAdwyekBWJIDgCDvDSIHsLzKe1utboDuf4TufyG20xnPtC9dj7HNj/2QwM79zyDv
 ibp/gb+Oh8kP6xLiIdyS/PVrQIw2bmfX/QnejhRGfwfT0vl+CovzfVzoClOMifo+Rh5OwYCODOZL
 mPTISx85jscSDDjMOKaehQfnJojCrKdWPc+XPguP5KPBSKjFFpPCG/n3MQC6nnPZIWbJZ/I1TAPA
 z3JAUkh0qkt8A9AVLlkkjTdAT+as71W2RE81ymKldsB7zfKTnmusi0uBDqgoluWHwnuNCqELWZvk
 K7xUadGx7mp4Fcm1YgIx2NovhTnNOkxurVjGWaEB0oyfBoX1ddYerW0Kdl0tClLKyt+p38H2Q1qp
 m34CPKABBCAZkCYe7kCktg0js97KjugTmkHBuLrd7oAZUABYfRicp73UC/O2Axauj5CnyeAbVnsP
 p2k1OCnkIgcohXkHD9gU+DNmbgCHUl9gzTtgrE3qDRiwOR0LIHeAFsVp94w68jWBAWx17FFFfCBB
 weOagl1iuwUATXfozgD76wQDlHXoHj4O0KcVgLzf7ojGH+OStcgAAAAldEVYdGRhdGU6Y3JlYXRl
 ADIwMjAtMTItMzFUMDQ6Mjk6MTArMDA6MDBI12lTAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTEy
 LTMxVDA0OjI5OjEwKzAwOjAwOYrR7wAAAABJRU5ErkJggg==
X-Now-Playing: The Cure's _Pornography (1)_: "The Figurehead"
Date: Thu, 31 Dec 2020 05:35:43 +0100
In-Reply-To: <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Wed, 30 Dec 2020 10:52:37
 +0100")
Message-ID: <87im8ioan4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: > Let me give
    you a hand then! The latest patch puts the change under > control of a variable,
    defaulting to off. This should take care of > your concerns for compatibility
    problems, as well as the po [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45536
Cc: Eli Zaretskii <eliz@HIDDEN>, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> Let me give you a hand then! The latest patch puts the change under
> control of a variable, defaulting to off. This should take care of
> your concerns for compatibility problems, as well as the possibility
> of confusion (which I think is minuscule).

The confusion problem is still present, though -- people will see
different ways of representing keystrokes (in examples on the web,
etc).=20

> The variable can be set permanently by users who prefer the new key
> binding style. It can also be bound temporarily for specific uses. It
> was a specific use I had in mind, but there is no reason to withhold
> an improvement from users in general.

What's the specific use case?

> Thanks for your careful reasoning. We can all agree that if we
> included pleasing everybody on Reddit in our design criteria, no
> progress would ever be made.

I wasn't worried about pleasing anybody -- I just want to avoid
unnecessary confusion.=20

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 30 Dec 2020 09:52:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 30 04:52:45 2020
Received: from localhost ([127.0.0.1]:40963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuY9t-0002Z9-8E
	for submit <at> debbugs.gnu.org; Wed, 30 Dec 2020 04:52:45 -0500
Received: from mail228c50.megamailservers.eu ([91.136.10.238]:52596
 helo=mail36c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kuY9r-0002Yz-J9
 for 45536 <at> debbugs.gnu.org; Wed, 30 Dec 2020 04:52:44 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1609321961;
 bh=b2V1Y/W8H3EH2sRjxprf/AY+nwLBQ7x1wfv5Pqe3klI=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=bZZyHl8ljabfY1LakZHclXkigef75oavB584SuN5o0kr7/rT+fNWBjWYLrcyU6+EG
 UOxTrQ7ZT/st5mM5v1GD6k0IcJ1VXnk4wyoLBR3Rg9UGXVMq3Vz1DoGdCOaOaeF8hy
 UZWSyyy6U4NafEP9RfpkfO+V4wnCXOr1ijmvwyac=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail36c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 0BU9qcXk029497; 
 Wed, 30 Dec 2020 09:52:40 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <87sg7oosmx.fsf@HIDDEN>
Date: Wed, 30 Dec 2020 10:52:37 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <97ADE294-0674-4CAC-96B1-DAD947BA3A32@HIDDEN>
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN> <87sg7oosmx.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A742F1C.5FEC4DE9.001A, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=OrUxNB3t c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=OocQHUDgAAAA:8 a=LWs9icv0OvD3yNjefS4A:9 a=CjuIK1q_8ugA:10
 a=xUZTl98r3Qw_uB5NK3jt:22
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 30 dec. 2020 kl. 04.54 skrev Lars Ingebrigtsen
 <larsi@HIDDEN>:
 > On the third hand, we could try this out on master for a while and see
 > whether anything breaks -- my guess would be that nothing will break. >
 > On the fourth hand, I can see people asking "what's [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 45536
Cc: Eli Zaretskii <eliz@HIDDEN>, 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

30 dec. 2020 kl. 04.54 skrev Lars Ingebrigtsen <larsi@HIDDEN>:

> On the third hand, we could try this out on master for a while and see
> whether anything breaks -- my guess would be that nothing will break.
>=20
> On the fourth hand, I can see people asking "what's the difference
> between C-<return> and <C-return>?" on Reddit for decades to come, so =
it
> might just confuse people and waste their time.  So...  I'm leaning
> towards not changing this.
>=20
> I'm running out of hands here.

Let me give you a hand then! The latest patch puts the change under =
control of a variable, defaulting to off. This should take care of your =
concerns for compatibility problems, as well as the possibility of =
confusion (which I think is minuscule).

The variable can be set permanently by users who prefer the new key =
binding style. It can also be bound temporarily for specific uses. It =
was a specific use I had in mind, but there is no reason to withhold an =
improvement from users in general.

Thanks for your careful reasoning. We can all agree that if we included =
pleasing everybody on Reddit in our design criteria, no progress would =
ever be made.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 30 Dec 2020 03:55:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 22:55:00 2020
Received: from localhost ([127.0.0.1]:40676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuSZf-0004SA-W1
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 22:55:00 -0500
Received: from quimby.gnus.org ([95.216.78.240]:32844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kuSZe-0004Rs-GU
 for 45536 <at> debbugs.gnu.org; Tue, 29 Dec 2020 22:54:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kQqzFhieE8CUvhqaXsJKKSWO7i0KkodK9U8pggQqw6I=; b=i1Moop4C+8iB/faKjwuw/Qougn
 6T53OjM8zcK/W698TYaE/SqaVj42Tnjrlc7bSY0QVovQSlV3cVAdp5RpzuAagCjf4sBXtni9nf0CY
 ZKgevMbtnBGSoz3oPMcV5onKTJ9m5WEV3WxLCM9/44pfpRvrRMQ3s46wQiFTUzgxEoyQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kuSZT-0001is-D1; Wed, 30 Dec 2020 04:54:52 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN>
X-Now-Playing: Simon & Garfunkel's _The Concert In Central Park_: "American
 Tune"
Date: Wed, 30 Dec 2020 04:54:46 +0100
In-Reply-To: <83sg7oidp6.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 29 Dec
 2020 22:01:41 +0200")
Message-ID: <87sg7oosmx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > IMO, making this kind
 of changes is just asking for trouble: the gains > are null and void (I don't
 see why we should care about consistency > here), while the potential for
 breaking something out t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45536
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> IMO, making this kind of changes is just asking for trouble: the gains
> are null and void (I don't see why we should care about consistency
> here), while the potential for breaking something out there is very
> real.

I think Mattias' proposed change makes for better readability, so the
gains aren't null...  on the other hand, they aren't huge, and I share
Eli's worry about breaking something.

On the third hand, we could try this out on master for a while and see
whether anything breaks -- my guess would be that nothing will break.

On the fourth hand, I can see people asking "what's the difference
between C-<return> and <C-return>?" on Reddit for decades to come, so it
might just confuse people and waste their time.  So...  I'm leaning
towards not changing this.

I'm running out of hands here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 29 Dec 2020 22:28:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 17:28:04 2020
Received: from localhost ([127.0.0.1]:40459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuNTI-00070s-0L
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 17:28:04 -0500
Received: from mail1477c50.megamailservers.eu ([91.136.14.77]:41058
 helo=mail118c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kuNTE-00070K-T7
 for 45536 <at> debbugs.gnu.org; Tue, 29 Dec 2020 17:28:03 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1609280874;
 bh=wdVAh/DPX0Hu3vB5FyT2/+lT57XCfgR9+oJ2fwU7Hmw=;
 h=From:Subject:Date:In-Reply-To:Cc:To:References:From;
 b=F7h1YIfsNMm8IutvsMOc2qR5VQWH2ipA5UWMOhHcvC1i1W2y3lPPTwsiVxk6R1HSE
 hvd+tUO/IdXpYgO7igYgakmcRn9FoJ2N7XftFaJ8x8SNljEPY8uHM0MmvVxy9uJUeL
 LHUY9N2Wl+K47T6l1rLEVsGcvuFd5bVJikraerq0=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail118c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 0BTMRpxm024409; 
 Tue, 29 Dec 2020 22:27:53 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Message-Id: <5F3D56BD-12C6-4600-B912-EBE649976DDD@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_93843DBC-E6B9-4260-88E3-E6A5A48FA7E9"
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
Date: Tue, 29 Dec 2020 23:27:51 +0100
In-Reply-To: <83sg7oidp6.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <83sg7oidp6.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A742F1B.5FEBAD6A.0018, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=HYRqsRM8 c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=M51BFTxLslgA:10 a=mDV3o1hIAAAA:8
 a=Ezilf68ot9k4BFwKfkEA:9 a=CjuIK1q_8ugA:10 a=DxyIfoUXH20MTcFkbywA:9
 a=B2y7HmGcmWMA:10 a=_FVE-zBwftR9WsbkzFJk:22
X-Origin-Country: SE
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 45536
Cc: 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_93843DBC-E6B9-4260-88E3-E6A5A48FA7E9
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

29 dec. 2020 kl. 21.01 skrev Eli Zaretskii <eliz@HIDDEN>:

> IMO, making this kind of changes is just asking for trouble: the gains
> are null and void (I don't see why we should care about consistency
> here), while the potential for breaking something out there is very
> real.

The gains are not null and void (or the change would not have been =
proposed).
There is no evidence for it being likely to break anything, but we can =
make the reform optional and turned off by default. That way, code for =
which it is desirable and safe could bind a dynamic variable during the =
pretty-printing.

Updated patch attached.


--Apple-Mail=_93843DBC-E6B9-4260-88E3-E6A5A48FA7E9
Content-Disposition: attachment;
	filename=0001-Pretty-print-keys-without-around-modifiers-bug-45536.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-Pretty-print-keys-without-around-modifiers-bug-45536.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=207aa5bef4a0949846ec565e42b9799e6c910aa492=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20=3D?UTF-8?q?Mattias=3D20Engdeg=3DC3=3DA5rd?=3D=20=
<mattiase@HIDDEN>=0ADate:=20Tue,=2029=20Dec=202020=2016:55:06=20+0100=0A=
Subject:=20[PATCH]=20Pretty-print=20keys=20without=20<>=20around=20=
modifiers=20(bug#45536)=0A=0ABe=20consistent=20when=20pretty-printing=20=
keys:=20put=20modifiers=20outside=20<>,=0Athus=20the=20more=20logical=20=
C-M-<return>=20instead=20of=20<C-M-return>.=0AThis=20behaviour=20is=20=
controlled=20by=20modifiers-inside-angle-brackets,=0Aby=20default=20t=20=
(for=20compatibility).=0A=0A*=20src/keymap.c=20=
(Fsingle_key_description):=20Optionally=20skip=20modifier=0Aprefix=20=
before=20adding=20<>.=0A(syms_of_keymap):=20Add=20=
modifiers-inside-angle-brackets.=0A---=0A=20src/keymap.c=20|=2034=20=
+++++++++++++++++++++++++++++-----=0A=201=20file=20changed,=2029=20=
insertions(+),=205=20deletions(-)=0A=0Adiff=20--git=20a/src/keymap.c=20=
b/src/keymap.c=0Aindex=20ca2d33dba4..c167772311=20100644=0A---=20=
a/src/keymap.c=0A+++=20b/src/keymap.c=0A@@=20-2013,6=20+2013,9=20@@=20=
DEFUN=20("key-description",=20Fkey_description,=20Skey_description,=201,=20=
2,=200,=0A=20Optional=20arg=20PREFIX=20is=20the=20sequence=20of=20keys=20=
leading=20up=20to=20KEYS.=0A=20For=20example,=20[?\C-x=20?l]=20is=20=
converted=20into=20the=20string=20\"C-x=20l\".=0A=20=0A+Modifiers=20are=20=
put=20inside=20angle=20brackets=20iff=20=
`modifiers-inside-angle-brackets'=0A+is=20non-nil.=0A+=0A=20For=20an=20=
approximate=20inverse=20of=20this,=20see=20`kbd'.=20=20*/)=0A=20=20=20=
(Lisp_Object=20keys,=20Lisp_Object=20prefix)=0A=20{=0A@@=20-2229,6=20=
+2232,8=20@@=20DEFUN=20("single-key-description",=20=
Fsingle_key_description,=0A=20Control=20characters=20turn=20into=20=
C-whatever,=20etc.=0A=20Optional=20argument=20NO-ANGLES=20non-nil=20=
means=20don't=20put=20angle=20brackets=0A=20around=20function=20keys=20=
and=20event=20symbols.=0A+Modifiers=20are=20put=20inside=20angle=20=
brackets=20iff=20`modifiers-inside-angle-brackets'=0A+is=20non-nil.=0A=20=
=0A=20See=20`text-char-description'=20for=20describing=20character=20=
codes.=20=20*/)=0A=20=20=20(Lisp_Object=20key,=20Lisp_Object=20=
no_angles)=0A@@=20-2260,11=20+2265,23=20@@=20DEFUN=20=
("single-key-description",=20Fsingle_key_description,=0A=20=20=20=20=20{=0A=
=20=20=20=20=20=20=20if=20(NILP=20(no_angles))=0A=20=09{=0A-=09=20=20=
Lisp_Object=20result;=0A-=09=20=20char=20*buffer=20=3D=20SAFE_ALLOCA=20=
(sizeof=20"<>"=0A-=09=09=09=09=20=20=20=20=20=20+=20SBYTES=20=
(SYMBOL_NAME=20(key)));=0A-=09=20=20esprintf=20(buffer,=20"<%s>",=20=
SDATA=20(SYMBOL_NAME=20(key)));=0A-=09=20=20result=20=3D=20build_string=20=
(buffer);=0A+=09=20=20Lisp_Object=20namestr=20=3D=20SYMBOL_NAME=20(key);=0A=
+=09=20=20const=20char=20*sym=20=3D=20SSDATA=20(namestr);=0A+=09=20=20=
ptrdiff_t=20len=20=3D=20SBYTES=20(namestr);=0A+=09=20=20/*=20Optionally=20=
find=20the=20extent=20of=20the=20modifier=20prefix,=20like=20"C-M-",=0A+=09=
=20=20=20=20=20to=20avoid=20putting=20modifiers=20around=20them.=20*/=0A=
+=09=20=20int=20i=20=3D=200;=0A+=09=20=20if=20=
(!modifiers_inside_angle_brackets)=0A+=09=20=20=20=20while=20(i=20<=20=
len=20-=203=20&&=20sym[i=20+=201]=20=3D=3D=20'-'=0A+=09=09=20=20=20&&=20=
strchr=20("CMSsHA",=20sym[i]))=0A+=09=20=20=20=20=20=20i=20+=3D=202;=0A+=09=
=20=20char=20*buffer=20=3D=20SAFE_ALLOCA=20(len=20+=203);=0A+=09=20=20=
memcpy=20(buffer,=20sym,=20i);=0A+=09=20=20buffer[i]=20=3D=20'<';=0A+=09=20=
=20memcpy=20(buffer=20+=20i=20+=201,=20sym=20+=20i,=20len=20-=20i);=0A+=09=
=20=20buffer=20[len=20+=201]=20=3D=20'>';=0A+=09=20=20buffer=20[len=20+=20=
2]=20=3D=20'\0';=0A+=09=20=20Lisp_Object=20result=20=3D=20build_string=20=
(buffer);=0A=20=09=20=20SAFE_FREE=20();=0A=20=09=20=20return=20result;=0A=
=20=09}=0A@@=20-3331,6=20+3348,13=20@@=20syms_of_keymap=20(void)=0A=20=20=
=20Vwhere_is_preferred_modifier=20=3D=20Qnil;=0A=20=20=20=
where_is_preferred_modifier=20=3D=200;=0A=20=0A+=20=20DEFVAR_BOOL=20=
("modifiers-inside-angle-brackets",=0A+=09=20=20=20=20=20=20=20=
modifiers_inside_angle_brackets,=0A+=09=20=20=20=20=20=20=20doc:=20/*=20=
Whether=20modifiers=20go=20inside=20<>=20in=20key=20descriptions.=0A=
+When=20non-nil,=20<return>=20with=20a=20Control=20modifier=20is=20=
written=20<C-return>;=0A+when=20nil,=20it=20is=20written=20C-<return>.=20=
*/);=0A+=20=20modifiers_inside_angle_brackets=20=3D=20true;=0A+=0A=20=20=20=
DEFSYM=20(Qmenu_bar,=20"menu-bar");=0A=20=20=20DEFSYM=20(Qmode_line,=20=
"mode-line");=0A=20=0A--=20=0A2.21.1=20(Apple=20Git-122.3)=0A=0A=

--Apple-Mail=_93843DBC-E6B9-4260-88E3-E6A5A48FA7E9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 29 Dec 2020 20:14:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 15:14:48 2020
Received: from localhost ([127.0.0.1]:40283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuLOK-0001On-2H
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 15:14:48 -0500
Received: from userp2130.oracle.com ([156.151.31.86]:41308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kuLOG-0001OY-Oo
 for 45536 <at> debbugs.gnu.org; Tue, 29 Dec 2020 15:14:47 -0500
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0BTK9V1k093130;
 Tue, 29 Dec 2020 20:14:36 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=m81JtPr8ptOj7YbI2bp+kb3PNNmC+DK3MeJH2M48gcM=;
 b=LuXoZ7MQUORySr5TO0AcuYhcWBATsDj/vh/+vD/pgUNNTnu08UAvY96otXjk9l8i/994
 1ItDyVGeTiy5gHb52UDCWkF5D0er89+d5/unY3akvGk4IV24/tNR9a90CxNDUqy4jbjn
 Ttdt52RxS+2651BLlrUc3T1zxt4JPoiTwkyRHeO+7O7rLMqtdNmCr8GWkNVK9CCJy5a8
 CNX1T4zTPIR6qyrT87f2DPnyKHIBlh41flEIPeXzV/3dWMi/amIuK/EOrUFm6yub0M42
 pwKWn5RhzEvFiGvBAoPJ427x92++aHQWz8rhixFM0R2LHXFU8XbdnMBkSgv1VEyNZyD4 WQ== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2130.oracle.com with ESMTP id 35nvkqq7dv-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Tue, 29 Dec 2020 20:14:36 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0BTKAwvi161458;
 Tue, 29 Dec 2020 20:14:36 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userp3030.oracle.com with ESMTP id 35pf3x29ax-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 29 Dec 2020 20:14:36 +0000
Received: from abhmp0016.oracle.com (abhmp0016.oracle.com [141.146.116.22])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 0BTKEYjT008202;
 Tue, 29 Dec 2020 20:14:34 GMT
MIME-Version: 1.0
Message-ID: <e78d3730-3c83-48d1-a55b-0fded53ac02b@default>
Date: Tue, 29 Dec 2020 12:14:33 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: =?iso-8859-1?B?TWF0dGlhcyBFbmdkZWflcmQ=?= <mattiase@HIDDEN>
Subject: RE: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <188d3006-24cf-4597-8c30-1009c62b269f@default>
 <BE81FBF6-55D4-4D31-91D0-03D85E4BB67E@HIDDEN>
In-Reply-To: <BE81FBF6-55D4-4D31-91D0-03D85E4BB67E@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5095.0 (x86)]
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9849
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 malwarescore=0 adultscore=0
 mlxlogscore=999 suspectscore=0 spamscore=0 phishscore=0 bulkscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2012290123
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9849
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 spamscore=0 clxscore=1015
 lowpriorityscore=0 bulkscore=0 adultscore=0 priorityscore=1501
 malwarescore=0 impostorscore=0 suspectscore=0 mlxlogscore=999 mlxscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2012290123
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45536
Cc: 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Thank you. This proposal is not nearly as radical (or opinionated) but ai=
ms
> to bring back logic and consistency to the notation.
> In particular, it carefully preserves round-trip compatibility with `kbd`
> (which remains unchanged).

`kbd' remains unchanged with `naked.el' as well.
The library just provides function `naked' as
an addition - an alternative to `kbd'.

And `naked.el' nevertheless lets you use angle
brackets, even with its own functions, whenever
you still might want to for some reason.  It
does that with an optional arg.

And even without providing the optional arg,
`naked' accepts angle-bracketed key descriptions
on input, e.g. (naked "M-<foobar>") returns the
same thing as (naked "M-foobar"): [M-foobar].

Prior to Emacs 21, Emacs itself never bothered
with angle brackets - no need.  But someone
around the turn of the century got the idea
that Emacs could not do without them.  Now
they're apparently believed to be indispensable,
because their use is enforced.

> It is good that you posted the links, because it indicates that more peop=
le
> have desired something similar, and the existence of such attempts gives =
some
> reassurance that the presented more timid patch would not cause any probl=
ems.

I've desired it because I lived it prior to
Emacs 21, and I find it MUCH clearer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 29 Dec 2020 20:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 15:01:59 2020
Received: from localhost ([127.0.0.1]:40260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuLBu-00014I-PI
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 15:01:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kuLBr-000141-77
 for 45536 <at> debbugs.gnu.org; Tue, 29 Dec 2020 15:01:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37959)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kuLBl-0002le-IL; Tue, 29 Dec 2020 15:01:49 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1793
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kuLBj-0000ir-KC; Tue, 29 Dec 2020 15:01:48 -0500
Date: Tue, 29 Dec 2020 22:01:41 +0200
Message-Id: <83sg7oidp6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN> (message from
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= on Tue, 29 Dec 2020 17:21:03 +0100)
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45536
Cc: 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mattias Engdegård <mattiase@HIDDEN>
> Date: Tue, 29 Dec 2020 17:21:03 +0100
> 
> It is a bit inconsistent that keys are described as C-x and <return> but <C-return>. It would be more logical to write C-<return>. The key parser will happily accept either, but descriptions without modifiers in <> brackets are more legible, and the result is easier to understand and explain.
> 
> Attached is a patch which adapts the code that pretty-prints keys. This is a change for human consumption only; it seems unlikely to affect compatibility. With the patch, <C-M-backspace> is now printed as C-M-<backspace>.

IMO, making this kind of changes is just asking for trouble: the gains
are null and void (I don't see why we should care about consistency
here), while the potential for breaking something out there is very
real.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 29 Dec 2020 19:50:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 14:50:27 2020
Received: from localhost ([127.0.0.1]:40251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuL0l-0000lq-MJ
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 14:50:27 -0500
Received: from mail1479c50.megamailservers.eu ([91.136.14.79]:49084
 helo=mail118c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kuL0i-0000lY-Tp
 for 45536 <at> debbugs.gnu.org; Tue, 29 Dec 2020 14:50:26 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1609271418;
 bh=8TSyNuBm7VNx+jAOpiXzSWH4WPy9V5egq1UVIJEbElI=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=AuFhcTXmX8efMBZSzAcF+32H0+Spv2F1IPrunpx2XtjDpRyioQwyZe+KuO3ad/tp1
 W+6Mbgt66d1Rkv81imvfGDJcNskpbTnOqdJuPf0WK3u73n+4PqQu+7oyyaJt43AcJn
 bHR8spK/PvPtx7pgAAZ1lSiGChsx+ISmKIYUkMY8=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail118c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 0BTJoGOl002254; 
 Tue, 29 Dec 2020 19:50:17 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
X-Priority: 3
In-Reply-To: <188d3006-24cf-4597-8c30-1009c62b269f@default>
Date: Tue, 29 Dec 2020 20:50:15 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <BE81FBF6-55D4-4D31-91D0-03D85E4BB67E@HIDDEN>
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
 <188d3006-24cf-4597-8c30-1009c62b269f@default>
To: Drew Adams <drew.adams@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A742F2A.5FEB887A.0025, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=HYRqsRM8 c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=yPCof4ZbAAAA:8 a=xY1_shhyAAAA:8 a=CwL6C7edubGEwW9EF0sA:9
 a=CjuIK1q_8ugA:10 a=XdPpjfHQEUkA:10 a=_qGpZPc723ggZ2AwnKam:22
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 29 dec. 2020 kl. 19.31 skrev Drew Adams
 <drew.adams@HIDDEN>:
 > Related: > > https://www.emacswiki.org/emacs/NaKeD > >
 https://www.emacswiki.org/emacs/download/naked.el
 Thank you. This proposal is not nearly as radical (or opinionated) but aims
 to bring back logic and consistency to the notation. In particular,
 it carefully preserves round-trip compatibility with `kb [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 45536
Cc: 45536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

29 dec. 2020 kl. 19.31 skrev Drew Adams <drew.adams@HIDDEN>:

> Related:
>=20
> https://www.emacswiki.org/emacs/NaKeD
>=20
> https://www.emacswiki.org/emacs/download/naked.el

Thank you. This proposal is not nearly as radical (or opinionated) but =
aims to bring back logic and consistency to the notation.
In particular, it carefully preserves round-trip compatibility with =
`kbd` (which remains unchanged).

It is good that you posted the links, because it indicates that more =
people have desired something similar, and the existence of such =
attempts gives some reassurance that the presented more timid patch =
would not cause any problems.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at 45536 <at> debbugs.gnu.org:


Received: (at 45536) by debbugs.gnu.org; 29 Dec 2020 18:33:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 13:33:56 2020
Received: from localhost ([127.0.0.1]:40152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuJoh-0005F4-NM
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 13:33:55 -0500
Received: from aserp2130.oracle.com ([141.146.126.79]:52552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kuJog-0005Er-9Y
 for 45536 <at> debbugs.gnu.org; Tue, 29 Dec 2020 13:33:55 -0500
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0BTIV0si101022;
 Tue, 29 Dec 2020 18:33:47 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=HrQWdnWLBpYJDBXoAkodurqSI/RaJC1rZjfbLLajqVI=;
 b=o04ZIDeoTHriA6W+DbqadtgGiR5jagn5apLllnj2Fi0eLbO92++ggQd9CIt8FuPvHBTg
 z1aLP6MHbS8lC9pg0BfzzNFoMlT6LeGkRWmPV12UlE5JkFdMjKKDpl2fKaqW1yGqfRpi
 f0tQkooDZN4BcuV0C0rIj3qYlvnh/2eou4Y+E/j/7Y5mps9BJCZUjasX+uEo4T5hiTjJ
 6z0ofyCVPY8rKLB17Fc6LXLPYkuJo0LKo+WRTMUwIOZxz6aVb+ksHabK6G9CcLmL6Tcx
 ioKI3EAai4mkJIeP5q9YegKXxEADPBfq6RydncVr7+S7v8KpqulDSLLzxB5hZ+cLITca 0g== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2130.oracle.com with ESMTP id 35ntpaq429-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Tue, 29 Dec 2020 18:33:47 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0BTIQNGV023975;
 Tue, 29 Dec 2020 18:31:47 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3020.oracle.com with ESMTP id 35pf2xafvd-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 29 Dec 2020 18:31:47 +0000
Received: from abhmp0016.oracle.com (abhmp0016.oracle.com [141.146.116.22])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 0BTIVkET010688;
 Tue, 29 Dec 2020 18:31:46 GMT
MIME-Version: 1.0
Message-ID: <188d3006-24cf-4597-8c30-1009c62b269f@default>
Date: Tue, 29 Dec 2020 10:31:45 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: =?iso-8859-1?B?TWF0dGlhcyBFbmdkZWflcmQ=?= <mattiase@HIDDEN>,
 45536 <at> debbugs.gnu.org
Subject: RE: bug#45536: [PATCH] Pretty-print keys without <> around modifiers
References: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
In-Reply-To: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5095.0 (x86)]
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9849
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 mlxlogscore=999 mlxscore=0
 bulkscore=0 malwarescore=0 suspectscore=0 spamscore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2012290117
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9849
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 suspectscore=0
 malwarescore=0 adultscore=0 mlxscore=0 mlxlogscore=999 clxscore=1011
 phishscore=0 lowpriorityscore=0 bulkscore=0 impostorscore=0
 priorityscore=1501 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2012290117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45536
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> It is a bit inconsistent that keys are described as C-x and <return> but =
<C-
> return>. It would be more logical to write C-<return>. The key parser wil=
l
> happily accept either, but descriptions without modifiers in <> brackets =
are
> more legible, and the result is easier to understand and explain.
>=20
> Attached is a patch which adapts the code that pretty-prints keys. This i=
s a
> change for human consumption only; it seems unlikely to affect compatibil=
ity.
> With the patch, <C-M-backspace> is now printed as C-M-<backspace>.
>=20
> I'd be happy to update the manuals accordingly, and add a NEWS entry if
> required.

Related:

https://www.emacswiki.org/emacs/NaKeD

https://www.emacswiki.org/emacs/download/naked.el




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2020 16:41:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 11:41:45 2020
Received: from localhost ([127.0.0.1]:40026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuI49-0001Nr-Mf
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 11:41:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:60584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kuI47-0001Ng-Ka
 for submit <at> debbugs.gnu.org; Tue, 29 Dec 2020 11:41:44 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43502)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mattiase@HIDDEN>) id 1kuI47-00080D-2l
 for bug-gnu-emacs@HIDDEN; Tue, 29 Dec 2020 11:41:43 -0500
Received: from mail1472c50.megamailservers.eu ([91.136.14.72]:41736
 helo=mail102c50.megamailservers.eu)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mattiase@HIDDEN>) id 1kuI44-0002lA-NK
 for bug-gnu-emacs@HIDDEN; Tue, 29 Dec 2020 11:41:42 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1609258873;
 bh=H7263/BWsM/8PztobsU78DpCUwiHBfo4doyXtrm4GtE=;
 h=From:Subject:Date:To:From;
 b=J5RAZ4P2+vuzT0v00BDbcjYJ+DXz+tKlEMFXKVmkt/1wsWEkfPJVi83k1fHKoSQxg
 2B9LbJzEXSmATFj0Jkrjiaa5u7RCjx9EJ6T2lQ4vslhoNWvGgiS72q/ILYCsg+zdw3
 GD8hObnMCUqGHrB7tSRlI6LKkG8qtyK1pOZZoibM=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail102c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 0BTGL42j022109
 for <bug-gnu-emacs@HIDDEN>; Tue, 29 Dec 2020 16:21:12 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_AE5A45EA-7EC7-448F-B446-8730928325AE"
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: [PATCH] Pretty-print keys without <> around modifiers
Message-Id: <ED8E3FF1-4DFE-47FE-860E-36A8F939A4EE@HIDDEN>
Date: Tue, 29 Dec 2020 17:21:03 +0100
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A742F17.5FEB5778.0061, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=d6CLNirE c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=M51BFTxLslgA:10 a=70yG_HCnfgZFqohj0l4A:9
 a=CjuIK1q_8ugA:10 a=oeYR-KG3CumxoNrnDWwA:9 a=B2y7HmGcmWMA:10
X-Origin-Country: SE
Received-SPF: softfail client-ip=91.136.14.72; envelope-from=mattiase@HIDDEN;
 helo=mail102c50.megamailservers.eu
X-Spam_score_int: -11
X-Spam_score: -1.2
X-Spam_bar: -
X-Spam_report: (-1.2 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, SPF_HELO_NONE=0.001,
 SPF_SOFTFAIL=0.665 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_AE5A45EA-7EC7-448F-B446-8730928325AE
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

It is a bit inconsistent that keys are described as C-x and <return> but =
<C-return>. It would be more logical to write C-<return>. The key parser =
will happily accept either, but descriptions without modifiers in <> =
brackets are more legible, and the result is easier to understand and =
explain.

Attached is a patch which adapts the code that pretty-prints keys. This =
is a change for human consumption only; it seems unlikely to affect =
compatibility. With the patch, <C-M-backspace> is now printed as =
C-M-<backspace>.

I'd be happy to update the manuals accordingly, and add a NEWS entry if =
required.


--Apple-Mail=_AE5A45EA-7EC7-448F-B446-8730928325AE
Content-Disposition: attachment;
	filename=0001-Pretty-print-keys-without-around-modifiers.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-Pretty-print-keys-without-around-modifiers.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=2018c9fc433f75a286abcd459abb77b2667d650021=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20=3D?UTF-8?q?Mattias=3D20Engdeg=3DC3=3DA5rd?=3D=20=
<mattiase@HIDDEN>=0ADate:=20Tue,=2029=20Dec=202020=2016:55:06=20+0100=0A=
Subject:=20[PATCH]=20Pretty-print=20keys=20without=20<>=20around=20=
modifiers=0A=0ABe=20consistent=20when=20pretty-printing=20keys:=20put=20=
modifiers=20outside=20<>,=0Athus=20the=20more=20logical=20C-M-<return>=20=
instead=20of=20<C-M-return>.=0A=0A*=20src/keymap.c=20=
(Fsingle_key_description):=0ASkip=20modifier=20prefix=20before=20adding=20=
<>.=0A---=0A=20src/keymap.c=20|=2020=20+++++++++++++++-----=0A=201=20=
file=20changed,=2015=20insertions(+),=205=20deletions(-)=0A=0Adiff=20=
--git=20a/src/keymap.c=20b/src/keymap.c=0Aindex=20ca2d33dba4..d3cde8e7ab=20=
100644=0A---=20a/src/keymap.c=0A+++=20b/src/keymap.c=0A@@=20-2260,11=20=
+2260,21=20@@=20DEFUN=20("single-key-description",=20=
Fsingle_key_description,=0A=20=20=20=20=20{=0A=20=20=20=20=20=20=20if=20=
(NILP=20(no_angles))=0A=20=09{=0A-=09=20=20Lisp_Object=20result;=0A-=09=20=
=20char=20*buffer=20=3D=20SAFE_ALLOCA=20(sizeof=20"<>"=0A-=09=09=09=09=20=
=20=20=20=20=20+=20SBYTES=20(SYMBOL_NAME=20(key)));=0A-=09=20=20esprintf=20=
(buffer,=20"<%s>",=20SDATA=20(SYMBOL_NAME=20(key)));=0A-=09=20=20result=20=
=3D=20build_string=20(buffer);=0A+=09=20=20Lisp_Object=20namestr=20=3D=20=
SYMBOL_NAME=20(key);=0A+=09=20=20const=20char=20*sym=20=3D=20SSDATA=20=
(namestr);=0A+=09=20=20ptrdiff_t=20len=20=3D=20SBYTES=20(namestr);=0A+=09=
=20=20/*=20Find=20the=20extent=20of=20the=20modifier=20prefix,=20like=20=
"C-M-".=20*/=0A+=09=20=20int=20i=20=3D=200;=0A+=09=20=20while=20(i=20<=20=
len=20-=203=20&&=20sym[i=20+=201]=20=3D=3D=20'-'=20&&=20strchr=20=
("CMSsHA",=20sym[i]))=0A+=09=20=20=20=20i=20+=3D=202;=0A+=09=20=20/*=20=
First=20I=20bytes=20of=20SYM=20are=20modifiers;=20put=20<>=20around=20=
the=20rest.=20*/=0A+=09=20=20char=20*buffer=20=3D=20SAFE_ALLOCA=20(len=20=
+=203);=0A+=09=20=20memcpy=20(buffer,=20sym,=20i);=0A+=09=20=20buffer[i]=20=
=3D=20'<';=0A+=09=20=20memcpy=20(buffer=20+=20i=20+=201,=20sym=20+=20i,=20=
len=20-=20i);=0A+=09=20=20buffer=20[len=20+=201]=20=3D=20'>';=0A+=09=20=20=
buffer=20[len=20+=202]=20=3D=20'\0';=0A+=09=20=20Lisp_Object=20result=20=
=3D=20build_string=20(buffer);=0A=20=09=20=20SAFE_FREE=20();=0A=20=09=20=20=
return=20result;=0A=20=09}=0A--=20=0A2.21.1=20(Apple=20Git-122.3)=0A=0A=

--Apple-Mail=_AE5A45EA-7EC7-448F-B446-8730928325AE--




Acknowledgement sent to Mattias Engdegård <mattiase@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45536; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 1 Jan 2021 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.